
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CoraxDateConstraintRange complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CoraxDateConstraintRange">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}CoraxDateConstraint">
 *       &lt;sequence>
 *         &lt;element name="Start" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}CoraxStartDateConstraint" minOccurs="0"/>
 *         &lt;element name="End" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}CoraxEndDateConstraint" minOccurs="0"/>
 *         &lt;element name="AllowEmptyEvents" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CoraxDateConstraintRange", propOrder = {
    "start",
    "end",
    "allowEmptyEvents"
})
public class CoraxDateConstraintRange
    extends CoraxDateConstraint
{

    @XmlElement(name = "Start")
    protected CoraxStartDateConstraint start;
    @XmlElement(name = "End")
    protected CoraxEndDateConstraint end;
    @XmlElement(name = "AllowEmptyEvents")
    protected boolean allowEmptyEvents;

    /**
     * Gets the value of the start property.
     * 
     * @return
     *     possible object is
     *     {@link CoraxStartDateConstraint }
     *     
     */
    public CoraxStartDateConstraint getStart() {
        return start;
    }

    /**
     * Sets the value of the start property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoraxStartDateConstraint }
     *     
     */
    public void setStart(CoraxStartDateConstraint value) {
        this.start = value;
    }

    /**
     * Gets the value of the end property.
     * 
     * @return
     *     possible object is
     *     {@link CoraxEndDateConstraint }
     *     
     */
    public CoraxEndDateConstraint getEnd() {
        return end;
    }

    /**
     * Sets the value of the end property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoraxEndDateConstraint }
     *     
     */
    public void setEnd(CoraxEndDateConstraint value) {
        this.end = value;
    }

    /**
     * Gets the value of the allowEmptyEvents property.
     * 
     */
    public boolean isAllowEmptyEvents() {
        return allowEmptyEvents;
    }

    /**
     * Sets the value of the allowEmptyEvents property.
     * 
     */
    public void setAllowEmptyEvents(boolean value) {
        this.allowEmptyEvents = value;
    }

}
