
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CounterpartyExtractionRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CounterpartyExtractionRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="Counterparties" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValidatedCounterparty" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CounterpartyExtractionRequest", propOrder = {
    "counterparties"
})
@XmlSeeAlso({
    CounterpartyExtractionRequestDetail.class,
    CounterpartyExtractionRequestHolders.class,
    CounterpartyExtractionRequestAudit.class,
    CounterpartyExtractionRequestHierarchy.class
})
public abstract class CounterpartyExtractionRequest
    extends ExtractionRequest
{

    @XmlElement(name = "Counterparties")
    protected ArrayOfValidatedCounterparty counterparties;

    /**
     * Gets the value of the counterparties property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValidatedCounterparty }
     *     
     */
    public ArrayOfValidatedCounterparty getCounterparties() {
        return counterparties;
    }

    /**
     * Sets the value of the counterparties property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValidatedCounterparty }
     *     
     */
    public void setCounterparties(ArrayOfValidatedCounterparty value) {
        this.counterparties = value;
    }

}
