
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DataDictionaryRequestInstrument complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DataDictionaryRequestInstrument">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}DataDictionaryRequest">
 *       &lt;sequence>
 *         &lt;element name="InstrumentExtractionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AssetTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DataDictionaryRequestInstrument", propOrder = {
    "instrumentExtractionType",
    "assetTypes"
})
public class DataDictionaryRequestInstrument
    extends DataDictionaryRequest
{

    @XmlElement(name = "InstrumentExtractionType")
    protected String instrumentExtractionType;
    @XmlElement(name = "AssetTypes")
    protected ArrayOfString assetTypes;

    /**
     * Gets the value of the instrumentExtractionType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstrumentExtractionType() {
        return instrumentExtractionType;
    }

    /**
     * Sets the value of the instrumentExtractionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstrumentExtractionType(String value) {
        this.instrumentExtractionType = value;
    }

    /**
     * Gets the value of the assetTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getAssetTypes() {
        return assetTypes;
    }

    /**
     * Sets the value of the assetTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setAssetTypes(ArrayOfString value) {
        this.assetTypes = value;
    }

}
