
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EstimateTimePeriodConstraintRelative complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EstimateTimePeriodConstraintRelative">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}EstimateTimePeriodConstraint">
 *       &lt;sequence>
 *         &lt;element name="FiscalYearFrom" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="FiscalYearTo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="QuarterFrom" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="QuarterTo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SemiAnnualFrom" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="SemiAnnualTo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EstimateTimePeriodConstraintRelative", propOrder = {
    "fiscalYearFrom",
    "fiscalYearTo",
    "quarterFrom",
    "quarterTo",
    "semiAnnualFrom",
    "semiAnnualTo"
})
public class EstimateTimePeriodConstraintRelative
    extends EstimateTimePeriodConstraint
{

    @XmlElement(name = "FiscalYearFrom", required = true)
    protected String fiscalYearFrom;
    @XmlElement(name = "FiscalYearTo", required = true)
    protected String fiscalYearTo;
    @XmlElement(name = "QuarterFrom", required = true)
    protected String quarterFrom;
    @XmlElement(name = "QuarterTo", required = true)
    protected String quarterTo;
    @XmlElement(name = "SemiAnnualFrom", required = true)
    protected String semiAnnualFrom;
    @XmlElement(name = "SemiAnnualTo", required = true)
    protected String semiAnnualTo;

    /**
     * Gets the value of the fiscalYearFrom property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFiscalYearFrom() {
        return fiscalYearFrom;
    }

    /**
     * Sets the value of the fiscalYearFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFiscalYearFrom(String value) {
        this.fiscalYearFrom = value;
    }

    /**
     * Gets the value of the fiscalYearTo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFiscalYearTo() {
        return fiscalYearTo;
    }

    /**
     * Sets the value of the fiscalYearTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFiscalYearTo(String value) {
        this.fiscalYearTo = value;
    }

    /**
     * Gets the value of the quarterFrom property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQuarterFrom() {
        return quarterFrom;
    }

    /**
     * Sets the value of the quarterFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQuarterFrom(String value) {
        this.quarterFrom = value;
    }

    /**
     * Gets the value of the quarterTo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQuarterTo() {
        return quarterTo;
    }

    /**
     * Sets the value of the quarterTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQuarterTo(String value) {
        this.quarterTo = value;
    }

    /**
     * Gets the value of the semiAnnualFrom property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSemiAnnualFrom() {
        return semiAnnualFrom;
    }

    /**
     * Sets the value of the semiAnnualFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSemiAnnualFrom(String value) {
        this.semiAnnualFrom = value;
    }

    /**
     * Gets the value of the semiAnnualTo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSemiAnnualTo() {
        return semiAnnualTo;
    }

    /**
     * Sets the value of the semiAnnualTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSemiAnnualTo(String value) {
        this.semiAnnualTo = value;
    }

}
