
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestEstimateFootnoteDetail complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestEstimateFootnoteDetail">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="EstimateTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString"/>
 *         &lt;element name="TimePeriodConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}EstimateTimePeriodConstraint"/>
 *         &lt;element name="QueryConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}EstimateQueryConstraint"/>
 *         &lt;element name="CompanyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestEstimateFootnoteDetail", propOrder = {
    "estimateTypes",
    "timePeriodConstraint",
    "queryConstraint",
    "companyType"
})
public class InstrumentExtractionRequestEstimateFootnoteDetail
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "EstimateTypes", required = true)
    protected ArrayOfString estimateTypes;
    @XmlElement(name = "TimePeriodConstraint", required = true)
    protected EstimateTimePeriodConstraint timePeriodConstraint;
    @XmlElement(name = "QueryConstraint", required = true)
    protected EstimateQueryConstraint queryConstraint;
    @XmlElement(name = "CompanyType")
    protected String companyType;

    /**
     * Gets the value of the estimateTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getEstimateTypes() {
        return estimateTypes;
    }

    /**
     * Sets the value of the estimateTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setEstimateTypes(ArrayOfString value) {
        this.estimateTypes = value;
    }

    /**
     * Gets the value of the timePeriodConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link EstimateTimePeriodConstraint }
     *     
     */
    public EstimateTimePeriodConstraint getTimePeriodConstraint() {
        return timePeriodConstraint;
    }

    /**
     * Sets the value of the timePeriodConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link EstimateTimePeriodConstraint }
     *     
     */
    public void setTimePeriodConstraint(EstimateTimePeriodConstraint value) {
        this.timePeriodConstraint = value;
    }

    /**
     * Gets the value of the queryConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link EstimateQueryConstraint }
     *     
     */
    public EstimateQueryConstraint getQueryConstraint() {
        return queryConstraint;
    }

    /**
     * Sets the value of the queryConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link EstimateQueryConstraint }
     *     
     */
    public void setQueryConstraint(EstimateQueryConstraint value) {
        this.queryConstraint = value;
    }

    /**
     * Gets the value of the companyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompanyType() {
        return companyType;
    }

    /**
     * Sets the value of the companyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompanyType(String value) {
        this.companyType = value;
    }

}
