
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionTypeInfo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionTypeInfo">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValueInfo">
 *       &lt;sequence>
 *         &lt;element name="AssetTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValueInfo" minOccurs="0"/>
 *         &lt;element name="MaximumInstrumentsAllowed" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TimePeriodForLimits" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumExtractionsAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumInstrumentsAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionTypeInfo", propOrder = {
    "assetTypes",
    "maximumInstrumentsAllowed",
    "timePeriodForLimits",
    "maximumExtractionsAllowedPerTimePeriod",
    "maximumInstrumentsAllowedPerTimePeriod"
})
public class InstrumentExtractionTypeInfo
    extends ValueInfo
{

    @XmlElement(name = "AssetTypes")
    protected ArrayOfValueInfo assetTypes;
    @XmlElement(name = "MaximumInstrumentsAllowed")
    protected int maximumInstrumentsAllowed;
    @XmlElement(name = "TimePeriodForLimits")
    protected int timePeriodForLimits;
    @XmlElement(name = "MaximumExtractionsAllowedPerTimePeriod")
    protected int maximumExtractionsAllowedPerTimePeriod;
    @XmlElement(name = "MaximumInstrumentsAllowedPerTimePeriod")
    protected int maximumInstrumentsAllowedPerTimePeriod;

    /**
     * Gets the value of the assetTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValueInfo }
     *     
     */
    public ArrayOfValueInfo getAssetTypes() {
        return assetTypes;
    }

    /**
     * Sets the value of the assetTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValueInfo }
     *     
     */
    public void setAssetTypes(ArrayOfValueInfo value) {
        this.assetTypes = value;
    }

    /**
     * Gets the value of the maximumInstrumentsAllowed property.
     * 
     */
    public int getMaximumInstrumentsAllowed() {
        return maximumInstrumentsAllowed;
    }

    /**
     * Sets the value of the maximumInstrumentsAllowed property.
     * 
     */
    public void setMaximumInstrumentsAllowed(int value) {
        this.maximumInstrumentsAllowed = value;
    }

    /**
     * Gets the value of the timePeriodForLimits property.
     * 
     */
    public int getTimePeriodForLimits() {
        return timePeriodForLimits;
    }

    /**
     * Sets the value of the timePeriodForLimits property.
     * 
     */
    public void setTimePeriodForLimits(int value) {
        this.timePeriodForLimits = value;
    }

    /**
     * Gets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumExtractionsAllowedPerTimePeriod() {
        return maximumExtractionsAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumExtractionsAllowedPerTimePeriod(int value) {
        this.maximumExtractionsAllowedPerTimePeriod = value;
    }

    /**
     * Gets the value of the maximumInstrumentsAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumInstrumentsAllowedPerTimePeriod() {
        return maximumInstrumentsAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumInstrumentsAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumInstrumentsAllowedPerTimePeriod(int value) {
        this.maximumInstrumentsAllowedPerTimePeriod = value;
    }

}
