
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentSearchRequestEquities complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestEquities">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="InstrumentSubTypeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Ticker" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CompanyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DomicileType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="OrgId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CurrencyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FileCodes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="FairValueIndicatorType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StatusType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="GicsTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="ExchangeTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="AssetCategoryType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestEquities", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "instrumentSubTypeType",
    "ticker",
    "companyName",
    "domicileType",
    "orgId",
    "currencyType",
    "description",
    "fileCodes",
    "fairValueIndicatorType",
    "statusType",
    "gicsTypes",
    "exchangeTypes",
    "assetCategoryType"
})
public class InstrumentSearchRequestEquities
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "InstrumentSubTypeType")
    protected String instrumentSubTypeType;
    @XmlElement(name = "Ticker")
    protected String ticker;
    @XmlElement(name = "CompanyName")
    protected String companyName;
    @XmlElement(name = "DomicileType")
    protected String domicileType;
    @XmlElement(name = "OrgId")
    protected String orgId;
    @XmlElement(name = "CurrencyType")
    protected String currencyType;
    @XmlElement(name = "Description")
    protected String description;
    @XmlElement(name = "FileCodes")
    protected ArrayOfString fileCodes;
    @XmlElement(name = "FairValueIndicatorType")
    protected String fairValueIndicatorType;
    @XmlElement(name = "StatusType")
    protected String statusType;
    @XmlElement(name = "GicsTypes")
    protected ArrayOfString gicsTypes;
    @XmlElement(name = "ExchangeTypes")
    protected ArrayOfString exchangeTypes;
    @XmlElement(name = "AssetCategoryType")
    protected String assetCategoryType;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the instrumentSubTypeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstrumentSubTypeType() {
        return instrumentSubTypeType;
    }

    /**
     * Sets the value of the instrumentSubTypeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstrumentSubTypeType(String value) {
        this.instrumentSubTypeType = value;
    }

    /**
     * Gets the value of the ticker property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTicker() {
        return ticker;
    }

    /**
     * Sets the value of the ticker property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTicker(String value) {
        this.ticker = value;
    }

    /**
     * Gets the value of the companyName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * Sets the value of the companyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompanyName(String value) {
        this.companyName = value;
    }

    /**
     * Gets the value of the domicileType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomicileType() {
        return domicileType;
    }

    /**
     * Sets the value of the domicileType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomicileType(String value) {
        this.domicileType = value;
    }

    /**
     * Gets the value of the orgId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * Sets the value of the orgId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrgId(String value) {
        this.orgId = value;
    }

    /**
     * Gets the value of the currencyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrencyType() {
        return currencyType;
    }

    /**
     * Sets the value of the currencyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrencyType(String value) {
        this.currencyType = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the fileCodes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getFileCodes() {
        return fileCodes;
    }

    /**
     * Sets the value of the fileCodes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setFileCodes(ArrayOfString value) {
        this.fileCodes = value;
    }

    /**
     * Gets the value of the fairValueIndicatorType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFairValueIndicatorType() {
        return fairValueIndicatorType;
    }

    /**
     * Sets the value of the fairValueIndicatorType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFairValueIndicatorType(String value) {
        this.fairValueIndicatorType = value;
    }

    /**
     * Gets the value of the statusType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusType() {
        return statusType;
    }

    /**
     * Sets the value of the statusType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusType(String value) {
        this.statusType = value;
    }

    /**
     * Gets the value of the gicsTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getGicsTypes() {
        return gicsTypes;
    }

    /**
     * Sets the value of the gicsTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setGicsTypes(ArrayOfString value) {
        this.gicsTypes = value;
    }

    /**
     * Gets the value of the exchangeTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getExchangeTypes() {
        return exchangeTypes;
    }

    /**
     * Sets the value of the exchangeTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setExchangeTypes(ArrayOfString value) {
        this.exchangeTypes = value;
    }

    /**
     * Gets the value of the assetCategoryType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssetCategoryType() {
        return assetCategoryType;
    }

    /**
     * Sets the value of the assetCategoryType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssetCategoryType(String value) {
        this.assetCategoryType = value;
    }

}
