
package com.reuters.datascopeselect.extractionservice.v1;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for InstrumentSearchRequestGovCorp complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestGovCorp">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IsGovernmentGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsCorporateGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsSupraGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsAgencyGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="SubGroupType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MoodyTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="StandardPoorsTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="Ticker" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Issuer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="OrgId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AssetStatusTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="CountryType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IndustryType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CurrencyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ContributorType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CouponComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CouponPrimaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="CouponSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="MaturityDateComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MaturityDatePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="MaturityDateSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="IssueDateComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IssueDatePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="IssueDateSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="NextPayDateComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NextPayDatePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="NextPayDateSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="IsCallable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsPutable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsConvertible" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsSinkable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsExtend" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestGovCorp", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "isGovernmentGroup",
    "isCorporateGroup",
    "isSupraGroup",
    "isAgencyGroup",
    "subGroupType",
    "moodyTypes",
    "standardPoorsTypes",
    "ticker",
    "issuer",
    "orgId",
    "assetStatusTypes",
    "countryType",
    "industryType",
    "currencyType",
    "contributorType",
    "couponComparisonOperator",
    "couponPrimaryValue",
    "couponSecondaryValue",
    "maturityDateComparisonOperator",
    "maturityDatePrimaryValue",
    "maturityDateSecondaryValue",
    "issueDateComparisonOperator",
    "issueDatePrimaryValue",
    "issueDateSecondaryValue",
    "nextPayDateComparisonOperator",
    "nextPayDatePrimaryValue",
    "nextPayDateSecondaryValue",
    "isCallable",
    "isPutable",
    "isConvertible",
    "isSinkable",
    "isExtend"
})
public class InstrumentSearchRequestGovCorp
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "IsGovernmentGroup")
    protected boolean isGovernmentGroup;
    @XmlElement(name = "IsCorporateGroup")
    protected boolean isCorporateGroup;
    @XmlElement(name = "IsSupraGroup")
    protected boolean isSupraGroup;
    @XmlElement(name = "IsAgencyGroup")
    protected boolean isAgencyGroup;
    @XmlElement(name = "SubGroupType")
    protected String subGroupType;
    @XmlElement(name = "MoodyTypes")
    protected ArrayOfString moodyTypes;
    @XmlElement(name = "StandardPoorsTypes")
    protected ArrayOfString standardPoorsTypes;
    @XmlElement(name = "Ticker")
    protected String ticker;
    @XmlElement(name = "Issuer")
    protected String issuer;
    @XmlElement(name = "OrgId")
    protected String orgId;
    @XmlElement(name = "AssetStatusTypes")
    protected ArrayOfString assetStatusTypes;
    @XmlElement(name = "CountryType")
    protected String countryType;
    @XmlElement(name = "IndustryType")
    protected String industryType;
    @XmlElement(name = "CurrencyType")
    protected String currencyType;
    @XmlElement(name = "ContributorType")
    protected String contributorType;
    @XmlElement(name = "CouponComparisonOperator")
    protected String couponComparisonOperator;
    @XmlElement(name = "CouponPrimaryValue", required = true, nillable = true)
    protected BigDecimal couponPrimaryValue;
    @XmlElement(name = "CouponSecondaryValue", required = true, nillable = true)
    protected BigDecimal couponSecondaryValue;
    @XmlElement(name = "MaturityDateComparisonOperator")
    protected String maturityDateComparisonOperator;
    @XmlElement(name = "MaturityDatePrimaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar maturityDatePrimaryValue;
    @XmlElement(name = "MaturityDateSecondaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar maturityDateSecondaryValue;
    @XmlElement(name = "IssueDateComparisonOperator")
    protected String issueDateComparisonOperator;
    @XmlElement(name = "IssueDatePrimaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar issueDatePrimaryValue;
    @XmlElement(name = "IssueDateSecondaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar issueDateSecondaryValue;
    @XmlElement(name = "NextPayDateComparisonOperator")
    protected String nextPayDateComparisonOperator;
    @XmlElement(name = "NextPayDatePrimaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar nextPayDatePrimaryValue;
    @XmlElement(name = "NextPayDateSecondaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar nextPayDateSecondaryValue;
    @XmlElement(name = "IsCallable")
    protected boolean isCallable;
    @XmlElement(name = "IsPutable")
    protected boolean isPutable;
    @XmlElement(name = "IsConvertible")
    protected boolean isConvertible;
    @XmlElement(name = "IsSinkable")
    protected boolean isSinkable;
    @XmlElement(name = "IsExtend")
    protected boolean isExtend;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the isGovernmentGroup property.
     * 
     */
    public boolean isIsGovernmentGroup() {
        return isGovernmentGroup;
    }

    /**
     * Sets the value of the isGovernmentGroup property.
     * 
     */
    public void setIsGovernmentGroup(boolean value) {
        this.isGovernmentGroup = value;
    }

    /**
     * Gets the value of the isCorporateGroup property.
     * 
     */
    public boolean isIsCorporateGroup() {
        return isCorporateGroup;
    }

    /**
     * Sets the value of the isCorporateGroup property.
     * 
     */
    public void setIsCorporateGroup(boolean value) {
        this.isCorporateGroup = value;
    }

    /**
     * Gets the value of the isSupraGroup property.
     * 
     */
    public boolean isIsSupraGroup() {
        return isSupraGroup;
    }

    /**
     * Sets the value of the isSupraGroup property.
     * 
     */
    public void setIsSupraGroup(boolean value) {
        this.isSupraGroup = value;
    }

    /**
     * Gets the value of the isAgencyGroup property.
     * 
     */
    public boolean isIsAgencyGroup() {
        return isAgencyGroup;
    }

    /**
     * Sets the value of the isAgencyGroup property.
     * 
     */
    public void setIsAgencyGroup(boolean value) {
        this.isAgencyGroup = value;
    }

    /**
     * Gets the value of the subGroupType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubGroupType() {
        return subGroupType;
    }

    /**
     * Sets the value of the subGroupType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubGroupType(String value) {
        this.subGroupType = value;
    }

    /**
     * Gets the value of the moodyTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getMoodyTypes() {
        return moodyTypes;
    }

    /**
     * Sets the value of the moodyTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setMoodyTypes(ArrayOfString value) {
        this.moodyTypes = value;
    }

    /**
     * Gets the value of the standardPoorsTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getStandardPoorsTypes() {
        return standardPoorsTypes;
    }

    /**
     * Sets the value of the standardPoorsTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setStandardPoorsTypes(ArrayOfString value) {
        this.standardPoorsTypes = value;
    }

    /**
     * Gets the value of the ticker property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTicker() {
        return ticker;
    }

    /**
     * Sets the value of the ticker property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTicker(String value) {
        this.ticker = value;
    }

    /**
     * Gets the value of the issuer property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIssuer() {
        return issuer;
    }

    /**
     * Sets the value of the issuer property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIssuer(String value) {
        this.issuer = value;
    }

    /**
     * Gets the value of the orgId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * Sets the value of the orgId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrgId(String value) {
        this.orgId = value;
    }

    /**
     * Gets the value of the assetStatusTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getAssetStatusTypes() {
        return assetStatusTypes;
    }

    /**
     * Sets the value of the assetStatusTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setAssetStatusTypes(ArrayOfString value) {
        this.assetStatusTypes = value;
    }

    /**
     * Gets the value of the countryType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCountryType() {
        return countryType;
    }

    /**
     * Sets the value of the countryType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCountryType(String value) {
        this.countryType = value;
    }

    /**
     * Gets the value of the industryType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIndustryType() {
        return industryType;
    }

    /**
     * Sets the value of the industryType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIndustryType(String value) {
        this.industryType = value;
    }

    /**
     * Gets the value of the currencyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrencyType() {
        return currencyType;
    }

    /**
     * Sets the value of the currencyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrencyType(String value) {
        this.currencyType = value;
    }

    /**
     * Gets the value of the contributorType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContributorType() {
        return contributorType;
    }

    /**
     * Sets the value of the contributorType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContributorType(String value) {
        this.contributorType = value;
    }

    /**
     * Gets the value of the couponComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCouponComparisonOperator() {
        return couponComparisonOperator;
    }

    /**
     * Sets the value of the couponComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCouponComparisonOperator(String value) {
        this.couponComparisonOperator = value;
    }

    /**
     * Gets the value of the couponPrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCouponPrimaryValue() {
        return couponPrimaryValue;
    }

    /**
     * Sets the value of the couponPrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCouponPrimaryValue(BigDecimal value) {
        this.couponPrimaryValue = value;
    }

    /**
     * Gets the value of the couponSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCouponSecondaryValue() {
        return couponSecondaryValue;
    }

    /**
     * Sets the value of the couponSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCouponSecondaryValue(BigDecimal value) {
        this.couponSecondaryValue = value;
    }

    /**
     * Gets the value of the maturityDateComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaturityDateComparisonOperator() {
        return maturityDateComparisonOperator;
    }

    /**
     * Sets the value of the maturityDateComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaturityDateComparisonOperator(String value) {
        this.maturityDateComparisonOperator = value;
    }

    /**
     * Gets the value of the maturityDatePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMaturityDatePrimaryValue() {
        return maturityDatePrimaryValue;
    }

    /**
     * Sets the value of the maturityDatePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMaturityDatePrimaryValue(XMLGregorianCalendar value) {
        this.maturityDatePrimaryValue = value;
    }

    /**
     * Gets the value of the maturityDateSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMaturityDateSecondaryValue() {
        return maturityDateSecondaryValue;
    }

    /**
     * Sets the value of the maturityDateSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMaturityDateSecondaryValue(XMLGregorianCalendar value) {
        this.maturityDateSecondaryValue = value;
    }

    /**
     * Gets the value of the issueDateComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIssueDateComparisonOperator() {
        return issueDateComparisonOperator;
    }

    /**
     * Sets the value of the issueDateComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIssueDateComparisonOperator(String value) {
        this.issueDateComparisonOperator = value;
    }

    /**
     * Gets the value of the issueDatePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getIssueDatePrimaryValue() {
        return issueDatePrimaryValue;
    }

    /**
     * Sets the value of the issueDatePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setIssueDatePrimaryValue(XMLGregorianCalendar value) {
        this.issueDatePrimaryValue = value;
    }

    /**
     * Gets the value of the issueDateSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getIssueDateSecondaryValue() {
        return issueDateSecondaryValue;
    }

    /**
     * Sets the value of the issueDateSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setIssueDateSecondaryValue(XMLGregorianCalendar value) {
        this.issueDateSecondaryValue = value;
    }

    /**
     * Gets the value of the nextPayDateComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNextPayDateComparisonOperator() {
        return nextPayDateComparisonOperator;
    }

    /**
     * Sets the value of the nextPayDateComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNextPayDateComparisonOperator(String value) {
        this.nextPayDateComparisonOperator = value;
    }

    /**
     * Gets the value of the nextPayDatePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getNextPayDatePrimaryValue() {
        return nextPayDatePrimaryValue;
    }

    /**
     * Sets the value of the nextPayDatePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setNextPayDatePrimaryValue(XMLGregorianCalendar value) {
        this.nextPayDatePrimaryValue = value;
    }

    /**
     * Gets the value of the nextPayDateSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getNextPayDateSecondaryValue() {
        return nextPayDateSecondaryValue;
    }

    /**
     * Sets the value of the nextPayDateSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setNextPayDateSecondaryValue(XMLGregorianCalendar value) {
        this.nextPayDateSecondaryValue = value;
    }

    /**
     * Gets the value of the isCallable property.
     * 
     */
    public boolean isIsCallable() {
        return isCallable;
    }

    /**
     * Sets the value of the isCallable property.
     * 
     */
    public void setIsCallable(boolean value) {
        this.isCallable = value;
    }

    /**
     * Gets the value of the isPutable property.
     * 
     */
    public boolean isIsPutable() {
        return isPutable;
    }

    /**
     * Sets the value of the isPutable property.
     * 
     */
    public void setIsPutable(boolean value) {
        this.isPutable = value;
    }

    /**
     * Gets the value of the isConvertible property.
     * 
     */
    public boolean isIsConvertible() {
        return isConvertible;
    }

    /**
     * Sets the value of the isConvertible property.
     * 
     */
    public void setIsConvertible(boolean value) {
        this.isConvertible = value;
    }

    /**
     * Gets the value of the isSinkable property.
     * 
     */
    public boolean isIsSinkable() {
        return isSinkable;
    }

    /**
     * Sets the value of the isSinkable property.
     * 
     */
    public void setIsSinkable(boolean value) {
        this.isSinkable = value;
    }

    /**
     * Gets the value of the isExtend property.
     * 
     */
    public boolean isIsExtend() {
        return isExtend;
    }

    /**
     * Sets the value of the isExtend property.
     * 
     */
    public void setIsExtend(boolean value) {
        this.isExtend = value;
    }

}
