
package com.reuters.datascopeselect.extractionservice.v1;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for InstrumentSearchRequestUSMunicipals complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestUSMunicipals">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MoodyTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="StandardPoorsTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="AssetStatusTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="MaturityDateComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="MaturityDatePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="MaturityDateSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="CouponComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CouponPrimaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="CouponSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="StateType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IssuerDescription" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IsCallable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsPutable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsSinkable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestUSMunicipals", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "moodyTypes",
    "standardPoorsTypes",
    "assetStatusTypes",
    "maturityDateComparisonOperator",
    "maturityDatePrimaryValue",
    "maturityDateSecondaryValue",
    "couponComparisonOperator",
    "couponPrimaryValue",
    "couponSecondaryValue",
    "stateType",
    "issuerDescription",
    "isCallable",
    "isPutable",
    "isSinkable"
})
public class InstrumentSearchRequestUSMunicipals
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "MoodyTypes")
    protected ArrayOfString moodyTypes;
    @XmlElement(name = "StandardPoorsTypes")
    protected ArrayOfString standardPoorsTypes;
    @XmlElement(name = "AssetStatusTypes")
    protected ArrayOfString assetStatusTypes;
    @XmlElement(name = "MaturityDateComparisonOperator")
    protected String maturityDateComparisonOperator;
    @XmlElement(name = "MaturityDatePrimaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar maturityDatePrimaryValue;
    @XmlElement(name = "MaturityDateSecondaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar maturityDateSecondaryValue;
    @XmlElement(name = "CouponComparisonOperator")
    protected String couponComparisonOperator;
    @XmlElement(name = "CouponPrimaryValue", required = true, nillable = true)
    protected BigDecimal couponPrimaryValue;
    @XmlElement(name = "CouponSecondaryValue", required = true, nillable = true)
    protected BigDecimal couponSecondaryValue;
    @XmlElement(name = "StateType")
    protected String stateType;
    @XmlElement(name = "IssuerDescription")
    protected String issuerDescription;
    @XmlElement(name = "IsCallable")
    protected boolean isCallable;
    @XmlElement(name = "IsPutable")
    protected boolean isPutable;
    @XmlElement(name = "IsSinkable")
    protected boolean isSinkable;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the moodyTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getMoodyTypes() {
        return moodyTypes;
    }

    /**
     * Sets the value of the moodyTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setMoodyTypes(ArrayOfString value) {
        this.moodyTypes = value;
    }

    /**
     * Gets the value of the standardPoorsTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getStandardPoorsTypes() {
        return standardPoorsTypes;
    }

    /**
     * Sets the value of the standardPoorsTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setStandardPoorsTypes(ArrayOfString value) {
        this.standardPoorsTypes = value;
    }

    /**
     * Gets the value of the assetStatusTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getAssetStatusTypes() {
        return assetStatusTypes;
    }

    /**
     * Sets the value of the assetStatusTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setAssetStatusTypes(ArrayOfString value) {
        this.assetStatusTypes = value;
    }

    /**
     * Gets the value of the maturityDateComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMaturityDateComparisonOperator() {
        return maturityDateComparisonOperator;
    }

    /**
     * Sets the value of the maturityDateComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMaturityDateComparisonOperator(String value) {
        this.maturityDateComparisonOperator = value;
    }

    /**
     * Gets the value of the maturityDatePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMaturityDatePrimaryValue() {
        return maturityDatePrimaryValue;
    }

    /**
     * Sets the value of the maturityDatePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMaturityDatePrimaryValue(XMLGregorianCalendar value) {
        this.maturityDatePrimaryValue = value;
    }

    /**
     * Gets the value of the maturityDateSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getMaturityDateSecondaryValue() {
        return maturityDateSecondaryValue;
    }

    /**
     * Sets the value of the maturityDateSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setMaturityDateSecondaryValue(XMLGregorianCalendar value) {
        this.maturityDateSecondaryValue = value;
    }

    /**
     * Gets the value of the couponComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCouponComparisonOperator() {
        return couponComparisonOperator;
    }

    /**
     * Sets the value of the couponComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCouponComparisonOperator(String value) {
        this.couponComparisonOperator = value;
    }

    /**
     * Gets the value of the couponPrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCouponPrimaryValue() {
        return couponPrimaryValue;
    }

    /**
     * Sets the value of the couponPrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCouponPrimaryValue(BigDecimal value) {
        this.couponPrimaryValue = value;
    }

    /**
     * Gets the value of the couponSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getCouponSecondaryValue() {
        return couponSecondaryValue;
    }

    /**
     * Sets the value of the couponSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setCouponSecondaryValue(BigDecimal value) {
        this.couponSecondaryValue = value;
    }

    /**
     * Gets the value of the stateType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStateType() {
        return stateType;
    }

    /**
     * Sets the value of the stateType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStateType(String value) {
        this.stateType = value;
    }

    /**
     * Gets the value of the issuerDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIssuerDescription() {
        return issuerDescription;
    }

    /**
     * Sets the value of the issuerDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIssuerDescription(String value) {
        this.issuerDescription = value;
    }

    /**
     * Gets the value of the isCallable property.
     * 
     */
    public boolean isIsCallable() {
        return isCallable;
    }

    /**
     * Sets the value of the isCallable property.
     * 
     */
    public void setIsCallable(boolean value) {
        this.isCallable = value;
    }

    /**
     * Gets the value of the isPutable property.
     * 
     */
    public boolean isIsPutable() {
        return isPutable;
    }

    /**
     * Sets the value of the isPutable property.
     * 
     */
    public void setIsPutable(boolean value) {
        this.isPutable = value;
    }

    /**
     * Gets the value of the isSinkable property.
     * 
     */
    public boolean isIsSinkable() {
        return isSinkable;
    }

    /**
     * Sets the value of the isSinkable property.
     * 
     */
    public void setIsSinkable(boolean value) {
        this.isSinkable = value;
    }

}
