
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentValidationRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentValidationRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PerformExpansion" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="Identifiers" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfInstrumentIdentifier" minOccurs="0"/>
 *         &lt;element name="IncludeDetails" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentValidationRequest", propOrder = {
    "performExpansion",
    "identifiers",
    "includeDetails"
})
public class InstrumentValidationRequest {

    @XmlElement(name = "PerformExpansion")
    protected boolean performExpansion;
    @XmlElement(name = "Identifiers")
    protected ArrayOfInstrumentIdentifier identifiers;
    @XmlElement(name = "IncludeDetails")
    protected boolean includeDetails;

    /**
     * Gets the value of the performExpansion property.
     * 
     */
    public boolean isPerformExpansion() {
        return performExpansion;
    }

    /**
     * Sets the value of the performExpansion property.
     * 
     */
    public void setPerformExpansion(boolean value) {
        this.performExpansion = value;
    }

    /**
     * Gets the value of the identifiers property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfInstrumentIdentifier }
     *     
     */
    public ArrayOfInstrumentIdentifier getIdentifiers() {
        return identifiers;
    }

    /**
     * Sets the value of the identifiers property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfInstrumentIdentifier }
     *     
     */
    public void setIdentifiers(ArrayOfInstrumentIdentifier value) {
        this.identifiers = value;
    }

    /**
     * Gets the value of the includeDetails property.
     * 
     */
    public boolean isIncludeDetails() {
        return includeDetails;
    }

    /**
     * Sets the value of the includeDetails property.
     * 
     */
    public void setIncludeDetails(boolean value) {
        this.includeDetails = value;
    }

}
