
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LegalEntityExtractionTypeInfo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LegalEntityExtractionTypeInfo">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValueInfo">
 *       &lt;sequence>
 *         &lt;element name="MaximumLegalEntitiesAllowed" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TimePeriodForLimits" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumExtractionsAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumLegalEntitiesAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LegalEntityExtractionTypeInfo", propOrder = {
    "maximumLegalEntitiesAllowed",
    "timePeriodForLimits",
    "maximumExtractionsAllowedPerTimePeriod",
    "maximumLegalEntitiesAllowedPerTimePeriod"
})
public class LegalEntityExtractionTypeInfo
    extends ValueInfo
{

    @XmlElement(name = "MaximumLegalEntitiesAllowed")
    protected int maximumLegalEntitiesAllowed;
    @XmlElement(name = "TimePeriodForLimits")
    protected int timePeriodForLimits;
    @XmlElement(name = "MaximumExtractionsAllowedPerTimePeriod")
    protected int maximumExtractionsAllowedPerTimePeriod;
    @XmlElement(name = "MaximumLegalEntitiesAllowedPerTimePeriod")
    protected int maximumLegalEntitiesAllowedPerTimePeriod;

    /**
     * Gets the value of the maximumLegalEntitiesAllowed property.
     * 
     */
    public int getMaximumLegalEntitiesAllowed() {
        return maximumLegalEntitiesAllowed;
    }

    /**
     * Sets the value of the maximumLegalEntitiesAllowed property.
     * 
     */
    public void setMaximumLegalEntitiesAllowed(int value) {
        this.maximumLegalEntitiesAllowed = value;
    }

    /**
     * Gets the value of the timePeriodForLimits property.
     * 
     */
    public int getTimePeriodForLimits() {
        return timePeriodForLimits;
    }

    /**
     * Sets the value of the timePeriodForLimits property.
     * 
     */
    public void setTimePeriodForLimits(int value) {
        this.timePeriodForLimits = value;
    }

    /**
     * Gets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumExtractionsAllowedPerTimePeriod() {
        return maximumExtractionsAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumExtractionsAllowedPerTimePeriod(int value) {
        this.maximumExtractionsAllowedPerTimePeriod = value;
    }

    /**
     * Gets the value of the maximumLegalEntitiesAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumLegalEntitiesAllowedPerTimePeriod() {
        return maximumLegalEntitiesAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumLegalEntitiesAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumLegalEntitiesAllowedPerTimePeriod(int value) {
        this.maximumLegalEntitiesAllowedPerTimePeriod = value;
    }

}
