
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LegalEntityValidationResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LegalEntityValidationResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="LegalEntities" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValidatedLegalEntity" minOccurs="0"/>
 *         &lt;element name="UnmappedIdentifiers" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfLegalEntityIdentifier" minOccurs="0"/>
 *         &lt;element name="UnmappedIdentifierErrors" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LegalEntityValidationResponse", propOrder = {
    "legalEntities",
    "unmappedIdentifiers",
    "unmappedIdentifierErrors"
})
public class LegalEntityValidationResponse {

    @XmlElement(name = "LegalEntities")
    protected ArrayOfValidatedLegalEntity legalEntities;
    @XmlElement(name = "UnmappedIdentifiers")
    protected ArrayOfLegalEntityIdentifier unmappedIdentifiers;
    @XmlElement(name = "UnmappedIdentifierErrors")
    protected ArrayOfString unmappedIdentifierErrors;

    /**
     * Gets the value of the legalEntities property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValidatedLegalEntity }
     *     
     */
    public ArrayOfValidatedLegalEntity getLegalEntities() {
        return legalEntities;
    }

    /**
     * Sets the value of the legalEntities property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValidatedLegalEntity }
     *     
     */
    public void setLegalEntities(ArrayOfValidatedLegalEntity value) {
        this.legalEntities = value;
    }

    /**
     * Gets the value of the unmappedIdentifiers property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfLegalEntityIdentifier }
     *     
     */
    public ArrayOfLegalEntityIdentifier getUnmappedIdentifiers() {
        return unmappedIdentifiers;
    }

    /**
     * Sets the value of the unmappedIdentifiers property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfLegalEntityIdentifier }
     *     
     */
    public void setUnmappedIdentifiers(ArrayOfLegalEntityIdentifier value) {
        this.unmappedIdentifiers = value;
    }

    /**
     * Gets the value of the unmappedIdentifierErrors property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getUnmappedIdentifierErrors() {
        return unmappedIdentifierErrors;
    }

    /**
     * Sets the value of the unmappedIdentifierErrors property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setUnmappedIdentifierErrors(ArrayOfString value) {
        this.unmappedIdentifierErrors = value;
    }

}
