
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for NewsAnalyticsFieldConstraint complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NewsAnalyticsFieldConstraint">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="RelevanceOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="RelevanceValue" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="Sentiment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NoveltyField" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NoveltyOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NoveltyValue" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TopicCodes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="Sources" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="IncludeAlerts" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IncludeArticles" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IncludeImbalance" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NewsAnalyticsFieldConstraint", propOrder = {
    "relevanceOperator",
    "relevanceValue",
    "sentiment",
    "noveltyField",
    "noveltyOperator",
    "noveltyValue",
    "topicCodes",
    "sources",
    "includeAlerts",
    "includeArticles",
    "includeImbalance"
})
public class NewsAnalyticsFieldConstraint {

    @XmlElement(name = "RelevanceOperator")
    protected String relevanceOperator;
    @XmlElement(name = "RelevanceValue")
    protected double relevanceValue;
    @XmlElement(name = "Sentiment")
    protected String sentiment;
    @XmlElement(name = "NoveltyField")
    protected String noveltyField;
    @XmlElement(name = "NoveltyOperator")
    protected String noveltyOperator;
    @XmlElement(name = "NoveltyValue")
    protected int noveltyValue;
    @XmlElement(name = "TopicCodes")
    protected ArrayOfString topicCodes;
    @XmlElement(name = "Sources")
    protected ArrayOfString sources;
    @XmlElement(name = "IncludeAlerts")
    protected boolean includeAlerts;
    @XmlElement(name = "IncludeArticles")
    protected boolean includeArticles;
    @XmlElement(name = "IncludeImbalance")
    protected boolean includeImbalance;

    /**
     * Gets the value of the relevanceOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRelevanceOperator() {
        return relevanceOperator;
    }

    /**
     * Sets the value of the relevanceOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRelevanceOperator(String value) {
        this.relevanceOperator = value;
    }

    /**
     * Gets the value of the relevanceValue property.
     * 
     */
    public double getRelevanceValue() {
        return relevanceValue;
    }

    /**
     * Sets the value of the relevanceValue property.
     * 
     */
    public void setRelevanceValue(double value) {
        this.relevanceValue = value;
    }

    /**
     * Gets the value of the sentiment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSentiment() {
        return sentiment;
    }

    /**
     * Sets the value of the sentiment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSentiment(String value) {
        this.sentiment = value;
    }

    /**
     * Gets the value of the noveltyField property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNoveltyField() {
        return noveltyField;
    }

    /**
     * Sets the value of the noveltyField property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNoveltyField(String value) {
        this.noveltyField = value;
    }

    /**
     * Gets the value of the noveltyOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNoveltyOperator() {
        return noveltyOperator;
    }

    /**
     * Sets the value of the noveltyOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNoveltyOperator(String value) {
        this.noveltyOperator = value;
    }

    /**
     * Gets the value of the noveltyValue property.
     * 
     */
    public int getNoveltyValue() {
        return noveltyValue;
    }

    /**
     * Sets the value of the noveltyValue property.
     * 
     */
    public void setNoveltyValue(int value) {
        this.noveltyValue = value;
    }

    /**
     * Gets the value of the topicCodes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getTopicCodes() {
        return topicCodes;
    }

    /**
     * Sets the value of the topicCodes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setTopicCodes(ArrayOfString value) {
        this.topicCodes = value;
    }

    /**
     * Gets the value of the sources property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getSources() {
        return sources;
    }

    /**
     * Sets the value of the sources property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setSources(ArrayOfString value) {
        this.sources = value;
    }

    /**
     * Gets the value of the includeAlerts property.
     * 
     */
    public boolean isIncludeAlerts() {
        return includeAlerts;
    }

    /**
     * Sets the value of the includeAlerts property.
     * 
     */
    public void setIncludeAlerts(boolean value) {
        this.includeAlerts = value;
    }

    /**
     * Gets the value of the includeArticles property.
     * 
     */
    public boolean isIncludeArticles() {
        return includeArticles;
    }

    /**
     * Sets the value of the includeArticles property.
     * 
     */
    public void setIncludeArticles(boolean value) {
        this.includeArticles = value;
    }

    /**
     * Gets the value of the includeImbalance property.
     * 
     */
    public boolean isIncludeImbalance() {
        return includeImbalance;
    }

    /**
     * Sets the value of the includeImbalance property.
     * 
     */
    public void setIncludeImbalance(boolean value) {
        this.includeImbalance = value;
    }

}
