
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ValidatedSearchInstrument complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ValidatedSearchInstrument">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValidatedInstrument">
 *       &lt;sequence>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ValidatedCounterparty" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValidatedCounterparty" minOccurs="0"/>
 *         &lt;element name="ValidatedLegalEntity" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValidatedLegalEntity" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ValidatedSearchInstrument", propOrder = {
    "description",
    "validatedCounterparty",
    "validatedLegalEntity"
})
public class ValidatedSearchInstrument
    extends ValidatedInstrument
{

    @XmlElement(name = "Description")
    protected String description;
    @XmlElement(name = "ValidatedCounterparty")
    protected ValidatedCounterparty validatedCounterparty;
    @XmlElement(name = "ValidatedLegalEntity")
    protected ValidatedLegalEntity validatedLegalEntity;

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the validatedCounterparty property.
     * 
     * @return
     *     possible object is
     *     {@link ValidatedCounterparty }
     *     
     */
    public ValidatedCounterparty getValidatedCounterparty() {
        return validatedCounterparty;
    }

    /**
     * Sets the value of the validatedCounterparty property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValidatedCounterparty }
     *     
     */
    public void setValidatedCounterparty(ValidatedCounterparty value) {
        this.validatedCounterparty = value;
    }

    /**
     * Gets the value of the validatedLegalEntity property.
     * 
     * @return
     *     possible object is
     *     {@link ValidatedLegalEntity }
     *     
     */
    public ValidatedLegalEntity getValidatedLegalEntity() {
        return validatedLegalEntity;
    }

    /**
     * Sets the value of the validatedLegalEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValidatedLegalEntity }
     *     
     */
    public void setValidatedLegalEntity(ValidatedLegalEntity value) {
        this.validatedLegalEntity = value;
    }

}
