
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CounterpartyExtractionTypeInfo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CounterpartyExtractionTypeInfo">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ValueInfo">
 *       &lt;sequence>
 *         &lt;element name="MaximumCounterpartiesAllowed" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="TimePeriodForLimits" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumExtractionsAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MaximumCounterpartiesAllowedPerTimePeriod" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CounterpartyExtractionTypeInfo", propOrder = {
    "maximumCounterpartiesAllowed",
    "timePeriodForLimits",
    "maximumExtractionsAllowedPerTimePeriod",
    "maximumCounterpartiesAllowedPerTimePeriod"
})
public class CounterpartyExtractionTypeInfo
    extends ValueInfo
{

    @XmlElement(name = "MaximumCounterpartiesAllowed")
    protected int maximumCounterpartiesAllowed;
    @XmlElement(name = "TimePeriodForLimits")
    protected int timePeriodForLimits;
    @XmlElement(name = "MaximumExtractionsAllowedPerTimePeriod")
    protected int maximumExtractionsAllowedPerTimePeriod;
    @XmlElement(name = "MaximumCounterpartiesAllowedPerTimePeriod")
    protected int maximumCounterpartiesAllowedPerTimePeriod;

    /**
     * Gets the value of the maximumCounterpartiesAllowed property.
     * 
     */
    public int getMaximumCounterpartiesAllowed() {
        return maximumCounterpartiesAllowed;
    }

    /**
     * Sets the value of the maximumCounterpartiesAllowed property.
     * 
     */
    public void setMaximumCounterpartiesAllowed(int value) {
        this.maximumCounterpartiesAllowed = value;
    }

    /**
     * Gets the value of the timePeriodForLimits property.
     * 
     */
    public int getTimePeriodForLimits() {
        return timePeriodForLimits;
    }

    /**
     * Sets the value of the timePeriodForLimits property.
     * 
     */
    public void setTimePeriodForLimits(int value) {
        this.timePeriodForLimits = value;
    }

    /**
     * Gets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumExtractionsAllowedPerTimePeriod() {
        return maximumExtractionsAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumExtractionsAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumExtractionsAllowedPerTimePeriod(int value) {
        this.maximumExtractionsAllowedPerTimePeriod = value;
    }

    /**
     * Gets the value of the maximumCounterpartiesAllowedPerTimePeriod property.
     * 
     */
    public int getMaximumCounterpartiesAllowedPerTimePeriod() {
        return maximumCounterpartiesAllowedPerTimePeriod;
    }

    /**
     * Sets the value of the maximumCounterpartiesAllowedPerTimePeriod property.
     * 
     */
    public void setMaximumCounterpartiesAllowedPerTimePeriod(int value) {
        this.maximumCounterpartiesAllowedPerTimePeriod = value;
    }

}
