
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="Instruments" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValidatedInstrument" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequest", propOrder = {
    "instruments"
})
@XmlSeeAlso({
    InstrumentExtractionRequestComposite.class,
    InstrumentExtractionRequestNewsItems.class,
    InstrumentExtractionRequestEstimateSummary.class,
    InstrumentExtractionRequestPremiumPricing.class,
    InstrumentExtractionRequestPremiumPricingUS3PM.class,
    InstrumentExtractionRequestFixedIncomeAnalytics.class,
    InstrumentExtractionRequestPremiumPricingASIA6PM.class,
    InstrumentExtractionRequestFundAllocation.class,
    InstrumentExtractionRequestTermsAndConditions.class,
    InstrumentExtractionRequestEstimateFootnoteDetail.class,
    InstrumentExtractionRequestPremiumPricingEMEA6PM.class,
    InstrumentExtractionRequestEstimateADC.class,
    InstrumentExtractionRequestMbsFactor.class,
    InstrumentExtractionRequestPremiumPricingUS4PM.class,
    InstrumentExtractionRequestNewsAnalytics.class,
    InstrumentExtractionRequestIntradayPricing.class,
    InstrumentExtractionRequestTechnicalIndicators.class,
    InstrumentExtractionRequestEstimateFootnoteCompany.class,
    InstrumentExtractionRequestRatings.class,
    InstrumentExtractionRequestEstimateDetail.class,
    InstrumentExtractionRequestEstimateActual.class,
    InstrumentExtractionRequestBondSchedule.class,
    InstrumentExtractionRequestPremiumPricingASIA4PM.class,
    InstrumentExtractionRequestTimeSeriesPricing.class,
    InstrumentExtractionRequestOwnership.class,
    InstrumentExtractionRequestPrepayment.class,
    InstrumentExtractionRequestEndOfDay.class,
    InstrumentExtractionRequestPremiumPricingEMEA4PM.class,
    InstrumentExtractionRequestCoraxStandardEvents.class,
    InstrumentExtractionRequestSymbolCrossReference.class,
    InstrumentExtractionRequestTrancheFactor.class
})
public abstract class InstrumentExtractionRequest
    extends ExtractionRequest
{

    @XmlElement(name = "Instruments")
    protected ArrayOfValidatedInstrument instruments;

    /**
     * Gets the value of the instruments property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValidatedInstrument }
     *     
     */
    public ArrayOfValidatedInstrument getInstruments() {
        return instruments;
    }

    /**
     * Sets the value of the instruments property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValidatedInstrument }
     *     
     */
    public void setInstruments(ArrayOfValidatedInstrument value) {
        this.instruments = value;
    }

}
