
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestCoraxStandardEvents complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestCoraxStandardEvents">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="Events" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfCoraxEventConstraint" minOccurs="0"/>
 *         &lt;element name="ShareTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="DateConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}CoraxDateConstraint" minOccurs="0"/>
 *         &lt;element name="ExcludeDeletedEvents" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestCoraxStandardEvents", propOrder = {
    "events",
    "shareTypes",
    "dateConstraint",
    "excludeDeletedEvents"
})
public class InstrumentExtractionRequestCoraxStandardEvents
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "Events")
    protected ArrayOfCoraxEventConstraint events;
    @XmlElement(name = "ShareTypes")
    protected ArrayOfString shareTypes;
    @XmlElement(name = "DateConstraint")
    protected CoraxDateConstraint dateConstraint;
    @XmlElement(name = "ExcludeDeletedEvents")
    protected Boolean excludeDeletedEvents;

    /**
     * Gets the value of the events property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfCoraxEventConstraint }
     *     
     */
    public ArrayOfCoraxEventConstraint getEvents() {
        return events;
    }

    /**
     * Sets the value of the events property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfCoraxEventConstraint }
     *     
     */
    public void setEvents(ArrayOfCoraxEventConstraint value) {
        this.events = value;
    }

    /**
     * Gets the value of the shareTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getShareTypes() {
        return shareTypes;
    }

    /**
     * Sets the value of the shareTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setShareTypes(ArrayOfString value) {
        this.shareTypes = value;
    }

    /**
     * Gets the value of the dateConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link CoraxDateConstraint }
     *     
     */
    public CoraxDateConstraint getDateConstraint() {
        return dateConstraint;
    }

    /**
     * Sets the value of the dateConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoraxDateConstraint }
     *     
     */
    public void setDateConstraint(CoraxDateConstraint value) {
        this.dateConstraint = value;
    }

    /**
     * Gets the value of the excludeDeletedEvents property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isExcludeDeletedEvents() {
        return excludeDeletedEvents;
    }

    /**
     * Sets the value of the excludeDeletedEvents property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setExcludeDeletedEvents(Boolean value) {
        this.excludeDeletedEvents = value;
    }

}
