
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestNewsItems complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestNewsItems">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="QueryConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}NewsItemsQueryConstraint"/>
 *         &lt;element name="FieldConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}NewsItemsFieldConstraint" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestNewsItems", propOrder = {
    "queryConstraint",
    "fieldConstraint"
})
public class InstrumentExtractionRequestNewsItems
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "QueryConstraint", required = true)
    protected NewsItemsQueryConstraint queryConstraint;
    @XmlElement(name = "FieldConstraint")
    protected NewsItemsFieldConstraint fieldConstraint;

    /**
     * Gets the value of the queryConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link NewsItemsQueryConstraint }
     *     
     */
    public NewsItemsQueryConstraint getQueryConstraint() {
        return queryConstraint;
    }

    /**
     * Sets the value of the queryConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link NewsItemsQueryConstraint }
     *     
     */
    public void setQueryConstraint(NewsItemsQueryConstraint value) {
        this.queryConstraint = value;
    }

    /**
     * Gets the value of the fieldConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link NewsItemsFieldConstraint }
     *     
     */
    public NewsItemsFieldConstraint getFieldConstraint() {
        return fieldConstraint;
    }

    /**
     * Sets the value of the fieldConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link NewsItemsFieldConstraint }
     *     
     */
    public void setFieldConstraint(NewsItemsFieldConstraint value) {
        this.fieldConstraint = value;
    }

}
