
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestPremiumPricing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestPremiumPricing">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="PremiumPricingType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="QueryConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}PremiumPricingQueryConstraint" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestPremiumPricing", propOrder = {
    "premiumPricingType",
    "queryConstraint"
})
public class InstrumentExtractionRequestPremiumPricing
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "PremiumPricingType")
    protected String premiumPricingType;
    @XmlElement(name = "QueryConstraint")
    protected PremiumPricingQueryConstraint queryConstraint;

    /**
     * Gets the value of the premiumPricingType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPremiumPricingType() {
        return premiumPricingType;
    }

    /**
     * Sets the value of the premiumPricingType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPremiumPricingType(String value) {
        this.premiumPricingType = value;
    }

    /**
     * Gets the value of the queryConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link PremiumPricingQueryConstraint }
     *     
     */
    public PremiumPricingQueryConstraint getQueryConstraint() {
        return queryConstraint;
    }

    /**
     * Sets the value of the queryConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link PremiumPricingQueryConstraint }
     *     
     */
    public void setQueryConstraint(PremiumPricingQueryConstraint value) {
        this.queryConstraint = value;
    }

}
