
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestRatings complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestRatings">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="QueryConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}RatingsQueryConstraint"/>
 *         &lt;element name="FieldConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}RatingsFieldConstraint" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestRatings", propOrder = {
    "queryConstraint",
    "fieldConstraint"
})
public class InstrumentExtractionRequestRatings
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "QueryConstraint", required = true)
    protected RatingsQueryConstraint queryConstraint;
    @XmlElement(name = "FieldConstraint")
    protected RatingsFieldConstraint fieldConstraint;

    /**
     * Gets the value of the queryConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link RatingsQueryConstraint }
     *     
     */
    public RatingsQueryConstraint getQueryConstraint() {
        return queryConstraint;
    }

    /**
     * Sets the value of the queryConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link RatingsQueryConstraint }
     *     
     */
    public void setQueryConstraint(RatingsQueryConstraint value) {
        this.queryConstraint = value;
    }

    /**
     * Gets the value of the fieldConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link RatingsFieldConstraint }
     *     
     */
    public RatingsFieldConstraint getFieldConstraint() {
        return fieldConstraint;
    }

    /**
     * Sets the value of the fieldConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link RatingsFieldConstraint }
     *     
     */
    public void setFieldConstraint(RatingsFieldConstraint value) {
        this.fieldConstraint = value;
    }

}
