
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentExtractionRequestSymbolCrossReference complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentExtractionRequestSymbolCrossReference">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString"/>
 *         &lt;element name="DateConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}SymbolCrossReferenceQueryConstraint" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentExtractionRequestSymbolCrossReference", propOrder = {
    "identifierTypes",
    "dateConstraint"
})
public class InstrumentExtractionRequestSymbolCrossReference
    extends InstrumentExtractionRequest
{

    @XmlElement(name = "IdentifierTypes", required = true)
    protected ArrayOfString identifierTypes;
    @XmlElement(name = "DateConstraint")
    protected SymbolCrossReferenceQueryConstraint dateConstraint;

    /**
     * Gets the value of the identifierTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getIdentifierTypes() {
        return identifierTypes;
    }

    /**
     * Sets the value of the identifierTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setIdentifierTypes(ArrayOfString value) {
        this.identifierTypes = value;
    }

    /**
     * Gets the value of the dateConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link SymbolCrossReferenceQueryConstraint }
     *     
     */
    public SymbolCrossReferenceQueryConstraint getDateConstraint() {
        return dateConstraint;
    }

    /**
     * Sets the value of the dateConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link SymbolCrossReferenceQueryConstraint }
     *     
     */
    public void setDateConstraint(SymbolCrossReferenceQueryConstraint value) {
        this.dateConstraint = value;
    }

}
