
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentSearchRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PreferredIdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequest", propOrder = {
    "preferredIdentifierType"
})
@XmlSeeAlso({
    InstrumentSearchRequestMortPassThru.class,
    InstrumentSearchRequestFuturesAndOptions.class,
    InstrumentSearchRequestCmoAbs.class,
    InstrumentSearchRequestAll.class,
    InstrumentSearchRequestFunds.class,
    InstrumentSearchRequestGovCorp.class,
    InstrumentSearchRequestEquities.class,
    InstrumentSearchRequestUSMunicipals.class
})
public abstract class InstrumentSearchRequest {

    @XmlElement(name = "PreferredIdentifierType")
    protected String preferredIdentifierType;

    /**
     * Gets the value of the preferredIdentifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreferredIdentifierType() {
        return preferredIdentifierType;
    }

    /**
     * Sets the value of the preferredIdentifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreferredIdentifierType(String value) {
        this.preferredIdentifierType = value;
    }

}
