
package com.reuters.datascopeselect.extractionservice.v1;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentSearchRequestCmoAbs complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestCmoAbs">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AssetStatusTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="Issue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Tranche" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Series" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NetCouponComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NetCouponPrimaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="NetCouponSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="IsWholeLoanSecurityGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsCmbsSecurityGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsAssetBackedSecurityGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsAgencySecurityGroup" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="IsCdoSecurityGroup" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="SubGroupTypeCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestCmoAbs", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "assetStatusTypes",
    "issue",
    "tranche",
    "series",
    "netCouponComparisonOperator",
    "netCouponPrimaryValue",
    "netCouponSecondaryValue",
    "isWholeLoanSecurityGroup",
    "isCmbsSecurityGroup",
    "isAssetBackedSecurityGroup",
    "isAgencySecurityGroup",
    "isCdoSecurityGroup",
    "subGroupTypeCode"
})
public class InstrumentSearchRequestCmoAbs
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "AssetStatusTypes")
    protected ArrayOfString assetStatusTypes;
    @XmlElement(name = "Issue")
    protected String issue;
    @XmlElement(name = "Tranche")
    protected String tranche;
    @XmlElement(name = "Series")
    protected String series;
    @XmlElement(name = "NetCouponComparisonOperator")
    protected String netCouponComparisonOperator;
    @XmlElement(name = "NetCouponPrimaryValue", required = true, nillable = true)
    protected BigDecimal netCouponPrimaryValue;
    @XmlElement(name = "NetCouponSecondaryValue", required = true, nillable = true)
    protected BigDecimal netCouponSecondaryValue;
    @XmlElement(name = "IsWholeLoanSecurityGroup")
    protected boolean isWholeLoanSecurityGroup;
    @XmlElement(name = "IsCmbsSecurityGroup")
    protected boolean isCmbsSecurityGroup;
    @XmlElement(name = "IsAssetBackedSecurityGroup")
    protected boolean isAssetBackedSecurityGroup;
    @XmlElement(name = "IsAgencySecurityGroup")
    protected boolean isAgencySecurityGroup;
    @XmlElement(name = "IsCdoSecurityGroup")
    protected Boolean isCdoSecurityGroup;
    @XmlElement(name = "SubGroupTypeCode", required = true)
    protected String subGroupTypeCode;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the assetStatusTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getAssetStatusTypes() {
        return assetStatusTypes;
    }

    /**
     * Sets the value of the assetStatusTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setAssetStatusTypes(ArrayOfString value) {
        this.assetStatusTypes = value;
    }

    /**
     * Gets the value of the issue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIssue() {
        return issue;
    }

    /**
     * Sets the value of the issue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIssue(String value) {
        this.issue = value;
    }

    /**
     * Gets the value of the tranche property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTranche() {
        return tranche;
    }

    /**
     * Sets the value of the tranche property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTranche(String value) {
        this.tranche = value;
    }

    /**
     * Gets the value of the series property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSeries() {
        return series;
    }

    /**
     * Sets the value of the series property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSeries(String value) {
        this.series = value;
    }

    /**
     * Gets the value of the netCouponComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNetCouponComparisonOperator() {
        return netCouponComparisonOperator;
    }

    /**
     * Sets the value of the netCouponComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNetCouponComparisonOperator(String value) {
        this.netCouponComparisonOperator = value;
    }

    /**
     * Gets the value of the netCouponPrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getNetCouponPrimaryValue() {
        return netCouponPrimaryValue;
    }

    /**
     * Sets the value of the netCouponPrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setNetCouponPrimaryValue(BigDecimal value) {
        this.netCouponPrimaryValue = value;
    }

    /**
     * Gets the value of the netCouponSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getNetCouponSecondaryValue() {
        return netCouponSecondaryValue;
    }

    /**
     * Sets the value of the netCouponSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setNetCouponSecondaryValue(BigDecimal value) {
        this.netCouponSecondaryValue = value;
    }

    /**
     * Gets the value of the isWholeLoanSecurityGroup property.
     * 
     */
    public boolean isIsWholeLoanSecurityGroup() {
        return isWholeLoanSecurityGroup;
    }

    /**
     * Sets the value of the isWholeLoanSecurityGroup property.
     * 
     */
    public void setIsWholeLoanSecurityGroup(boolean value) {
        this.isWholeLoanSecurityGroup = value;
    }

    /**
     * Gets the value of the isCmbsSecurityGroup property.
     * 
     */
    public boolean isIsCmbsSecurityGroup() {
        return isCmbsSecurityGroup;
    }

    /**
     * Sets the value of the isCmbsSecurityGroup property.
     * 
     */
    public void setIsCmbsSecurityGroup(boolean value) {
        this.isCmbsSecurityGroup = value;
    }

    /**
     * Gets the value of the isAssetBackedSecurityGroup property.
     * 
     */
    public boolean isIsAssetBackedSecurityGroup() {
        return isAssetBackedSecurityGroup;
    }

    /**
     * Sets the value of the isAssetBackedSecurityGroup property.
     * 
     */
    public void setIsAssetBackedSecurityGroup(boolean value) {
        this.isAssetBackedSecurityGroup = value;
    }

    /**
     * Gets the value of the isAgencySecurityGroup property.
     * 
     */
    public boolean isIsAgencySecurityGroup() {
        return isAgencySecurityGroup;
    }

    /**
     * Sets the value of the isAgencySecurityGroup property.
     * 
     */
    public void setIsAgencySecurityGroup(boolean value) {
        this.isAgencySecurityGroup = value;
    }

    /**
     * Gets the value of the isCdoSecurityGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isIsCdoSecurityGroup() {
        return isCdoSecurityGroup;
    }

    /**
     * Sets the value of the isCdoSecurityGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsCdoSecurityGroup(Boolean value) {
        this.isCdoSecurityGroup = value;
    }

    /**
     * Gets the value of the subGroupTypeCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubGroupTypeCode() {
        return subGroupTypeCode;
    }

    /**
     * Sets the value of the subGroupTypeCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubGroupTypeCode(String value) {
        this.subGroupTypeCode = value;
    }

}
