
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentSearchRequestFunds complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestFunds">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DomicileType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CurrencyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FundName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FundAdministrator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PortfolioManager" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TassFundsOnly" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestFunds", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "domicileType",
    "currencyType",
    "fundName",
    "fundAdministrator",
    "portfolioManager",
    "tassFundsOnly"
})
public class InstrumentSearchRequestFunds
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "DomicileType")
    protected String domicileType;
    @XmlElement(name = "CurrencyType")
    protected String currencyType;
    @XmlElement(name = "FundName")
    protected String fundName;
    @XmlElement(name = "FundAdministrator")
    protected String fundAdministrator;
    @XmlElement(name = "PortfolioManager")
    protected String portfolioManager;
    @XmlElement(name = "TassFundsOnly")
    protected boolean tassFundsOnly;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the domicileType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomicileType() {
        return domicileType;
    }

    /**
     * Sets the value of the domicileType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomicileType(String value) {
        this.domicileType = value;
    }

    /**
     * Gets the value of the currencyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrencyType() {
        return currencyType;
    }

    /**
     * Sets the value of the currencyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrencyType(String value) {
        this.currencyType = value;
    }

    /**
     * Gets the value of the fundName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFundName() {
        return fundName;
    }

    /**
     * Sets the value of the fundName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFundName(String value) {
        this.fundName = value;
    }

    /**
     * Gets the value of the fundAdministrator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFundAdministrator() {
        return fundAdministrator;
    }

    /**
     * Sets the value of the fundAdministrator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFundAdministrator(String value) {
        this.fundAdministrator = value;
    }

    /**
     * Gets the value of the portfolioManager property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPortfolioManager() {
        return portfolioManager;
    }

    /**
     * Sets the value of the portfolioManager property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPortfolioManager(String value) {
        this.portfolioManager = value;
    }

    /**
     * Gets the value of the tassFundsOnly property.
     * 
     */
    public boolean isTassFundsOnly() {
        return tassFundsOnly;
    }

    /**
     * Sets the value of the tassFundsOnly property.
     * 
     */
    public void setTassFundsOnly(boolean value) {
        this.tassFundsOnly = value;
    }

}
