
package com.reuters.datascopeselect.extractionservice.v1;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for InstrumentSearchRequestFuturesAndOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestFuturesAndOptions">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FuturesAndOptionsType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PutCallType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FileCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StrikePriceComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StrikePricePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="StrikePriceSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="ExerciseStyleType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CurrencyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ExchangeTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="ExpirationDateComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ExpirationDatePrimaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="ExpirationDateSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="StatusType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestFuturesAndOptions", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "futuresAndOptionsType",
    "putCallType",
    "fileCode",
    "strikePriceComparisonOperator",
    "strikePricePrimaryValue",
    "strikePriceSecondaryValue",
    "exerciseStyleType",
    "currencyType",
    "description",
    "exchangeTypes",
    "expirationDateComparisonOperator",
    "expirationDatePrimaryValue",
    "expirationDateSecondaryValue",
    "statusType"
})
public class InstrumentSearchRequestFuturesAndOptions
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "FuturesAndOptionsType")
    protected String futuresAndOptionsType;
    @XmlElement(name = "PutCallType")
    protected String putCallType;
    @XmlElement(name = "FileCode")
    protected String fileCode;
    @XmlElement(name = "StrikePriceComparisonOperator")
    protected String strikePriceComparisonOperator;
    @XmlElement(name = "StrikePricePrimaryValue", required = true, nillable = true)
    protected BigDecimal strikePricePrimaryValue;
    @XmlElement(name = "StrikePriceSecondaryValue", required = true, nillable = true)
    protected BigDecimal strikePriceSecondaryValue;
    @XmlElement(name = "ExerciseStyleType")
    protected String exerciseStyleType;
    @XmlElement(name = "CurrencyType")
    protected String currencyType;
    @XmlElement(name = "Description")
    protected String description;
    @XmlElement(name = "ExchangeTypes")
    protected ArrayOfString exchangeTypes;
    @XmlElement(name = "ExpirationDateComparisonOperator")
    protected String expirationDateComparisonOperator;
    @XmlElement(name = "ExpirationDatePrimaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar expirationDatePrimaryValue;
    @XmlElement(name = "ExpirationDateSecondaryValue", required = true, nillable = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar expirationDateSecondaryValue;
    @XmlElement(name = "StatusType")
    protected String statusType;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the futuresAndOptionsType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFuturesAndOptionsType() {
        return futuresAndOptionsType;
    }

    /**
     * Sets the value of the futuresAndOptionsType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFuturesAndOptionsType(String value) {
        this.futuresAndOptionsType = value;
    }

    /**
     * Gets the value of the putCallType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPutCallType() {
        return putCallType;
    }

    /**
     * Sets the value of the putCallType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPutCallType(String value) {
        this.putCallType = value;
    }

    /**
     * Gets the value of the fileCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFileCode() {
        return fileCode;
    }

    /**
     * Sets the value of the fileCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFileCode(String value) {
        this.fileCode = value;
    }

    /**
     * Gets the value of the strikePriceComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStrikePriceComparisonOperator() {
        return strikePriceComparisonOperator;
    }

    /**
     * Sets the value of the strikePriceComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStrikePriceComparisonOperator(String value) {
        this.strikePriceComparisonOperator = value;
    }

    /**
     * Gets the value of the strikePricePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getStrikePricePrimaryValue() {
        return strikePricePrimaryValue;
    }

    /**
     * Sets the value of the strikePricePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setStrikePricePrimaryValue(BigDecimal value) {
        this.strikePricePrimaryValue = value;
    }

    /**
     * Gets the value of the strikePriceSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getStrikePriceSecondaryValue() {
        return strikePriceSecondaryValue;
    }

    /**
     * Sets the value of the strikePriceSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setStrikePriceSecondaryValue(BigDecimal value) {
        this.strikePriceSecondaryValue = value;
    }

    /**
     * Gets the value of the exerciseStyleType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExerciseStyleType() {
        return exerciseStyleType;
    }

    /**
     * Sets the value of the exerciseStyleType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExerciseStyleType(String value) {
        this.exerciseStyleType = value;
    }

    /**
     * Gets the value of the currencyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrencyType() {
        return currencyType;
    }

    /**
     * Sets the value of the currencyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrencyType(String value) {
        this.currencyType = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the exchangeTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getExchangeTypes() {
        return exchangeTypes;
    }

    /**
     * Sets the value of the exchangeTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setExchangeTypes(ArrayOfString value) {
        this.exchangeTypes = value;
    }

    /**
     * Gets the value of the expirationDateComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExpirationDateComparisonOperator() {
        return expirationDateComparisonOperator;
    }

    /**
     * Sets the value of the expirationDateComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExpirationDateComparisonOperator(String value) {
        this.expirationDateComparisonOperator = value;
    }

    /**
     * Gets the value of the expirationDatePrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpirationDatePrimaryValue() {
        return expirationDatePrimaryValue;
    }

    /**
     * Sets the value of the expirationDatePrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpirationDatePrimaryValue(XMLGregorianCalendar value) {
        this.expirationDatePrimaryValue = value;
    }

    /**
     * Gets the value of the expirationDateSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpirationDateSecondaryValue() {
        return expirationDateSecondaryValue;
    }

    /**
     * Sets the value of the expirationDateSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpirationDateSecondaryValue(XMLGregorianCalendar value) {
        this.expirationDateSecondaryValue = value;
    }

    /**
     * Gets the value of the statusType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusType() {
        return statusType;
    }

    /**
     * Sets the value of the statusType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusType(String value) {
        this.statusType = value;
    }

}
