
package com.reuters.datascopeselect.extractionservice.v1;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentSearchRequestMortPassThru complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentSearchRequestMortPassThru">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}InstrumentSearchRequest">
 *       &lt;sequence>
 *         &lt;element name="IdentifierSearchValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AssetStatusTypes" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="NetCouponComparisonOperator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="NetCouponPrimaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="NetCouponSecondaryValue" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
 *         &lt;element name="AgencyType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AmortizationType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PoolNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PoolType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SettleMonth" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SecurityGroup" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentSearchRequestMortPassThru", propOrder = {
    "identifierSearchValue",
    "identifierType",
    "assetStatusTypes",
    "netCouponComparisonOperator",
    "netCouponPrimaryValue",
    "netCouponSecondaryValue",
    "agencyType",
    "amortizationType",
    "poolNumber",
    "poolType",
    "settleMonth",
    "securityGroup"
})
public class InstrumentSearchRequestMortPassThru
    extends InstrumentSearchRequest
{

    @XmlElement(name = "IdentifierSearchValue")
    protected String identifierSearchValue;
    @XmlElement(name = "IdentifierType")
    protected String identifierType;
    @XmlElement(name = "AssetStatusTypes")
    protected ArrayOfString assetStatusTypes;
    @XmlElement(name = "NetCouponComparisonOperator")
    protected String netCouponComparisonOperator;
    @XmlElement(name = "NetCouponPrimaryValue", required = true, nillable = true)
    protected BigDecimal netCouponPrimaryValue;
    @XmlElement(name = "NetCouponSecondaryValue", required = true, nillable = true)
    protected BigDecimal netCouponSecondaryValue;
    @XmlElement(name = "AgencyType")
    protected String agencyType;
    @XmlElement(name = "AmortizationType")
    protected String amortizationType;
    @XmlElement(name = "PoolNumber")
    protected String poolNumber;
    @XmlElement(name = "PoolType")
    protected String poolType;
    @XmlElement(name = "SettleMonth")
    protected String settleMonth;
    @XmlElement(name = "SecurityGroup")
    protected String securityGroup;

    /**
     * Gets the value of the identifierSearchValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierSearchValue() {
        return identifierSearchValue;
    }

    /**
     * Sets the value of the identifierSearchValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierSearchValue(String value) {
        this.identifierSearchValue = value;
    }

    /**
     * Gets the value of the identifierType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierType() {
        return identifierType;
    }

    /**
     * Sets the value of the identifierType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierType(String value) {
        this.identifierType = value;
    }

    /**
     * Gets the value of the assetStatusTypes property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getAssetStatusTypes() {
        return assetStatusTypes;
    }

    /**
     * Sets the value of the assetStatusTypes property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setAssetStatusTypes(ArrayOfString value) {
        this.assetStatusTypes = value;
    }

    /**
     * Gets the value of the netCouponComparisonOperator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNetCouponComparisonOperator() {
        return netCouponComparisonOperator;
    }

    /**
     * Sets the value of the netCouponComparisonOperator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNetCouponComparisonOperator(String value) {
        this.netCouponComparisonOperator = value;
    }

    /**
     * Gets the value of the netCouponPrimaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getNetCouponPrimaryValue() {
        return netCouponPrimaryValue;
    }

    /**
     * Sets the value of the netCouponPrimaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setNetCouponPrimaryValue(BigDecimal value) {
        this.netCouponPrimaryValue = value;
    }

    /**
     * Gets the value of the netCouponSecondaryValue property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getNetCouponSecondaryValue() {
        return netCouponSecondaryValue;
    }

    /**
     * Sets the value of the netCouponSecondaryValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setNetCouponSecondaryValue(BigDecimal value) {
        this.netCouponSecondaryValue = value;
    }

    /**
     * Gets the value of the agencyType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgencyType() {
        return agencyType;
    }

    /**
     * Sets the value of the agencyType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgencyType(String value) {
        this.agencyType = value;
    }

    /**
     * Gets the value of the amortizationType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAmortizationType() {
        return amortizationType;
    }

    /**
     * Sets the value of the amortizationType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAmortizationType(String value) {
        this.amortizationType = value;
    }

    /**
     * Gets the value of the poolNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoolNumber() {
        return poolNumber;
    }

    /**
     * Sets the value of the poolNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoolNumber(String value) {
        this.poolNumber = value;
    }

    /**
     * Gets the value of the poolType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPoolType() {
        return poolType;
    }

    /**
     * Sets the value of the poolType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPoolType(String value) {
        this.poolType = value;
    }

    /**
     * Gets the value of the settleMonth property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSettleMonth() {
        return settleMonth;
    }

    /**
     * Sets the value of the settleMonth property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSettleMonth(String value) {
        this.settleMonth = value;
    }

    /**
     * Gets the value of the securityGroup property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecurityGroup() {
        return securityGroup;
    }

    /**
     * Sets the value of the securityGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecurityGroup(String value) {
        this.securityGroup = value;
    }

}
