
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for InstrumentValidationResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InstrumentValidationResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Instruments" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValidatedInstrument" minOccurs="0"/>
 *         &lt;element name="UnmappedIdentifiers" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfInstrumentIdentifier" minOccurs="0"/>
 *         &lt;element name="UnmappedIdentifierErrors" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *         &lt;element name="Details" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfInstrumentDetail" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InstrumentValidationResponse", propOrder = {
    "instruments",
    "unmappedIdentifiers",
    "unmappedIdentifierErrors",
    "details"
})
public class InstrumentValidationResponse {

    @XmlElement(name = "Instruments")
    protected ArrayOfValidatedInstrument instruments;
    @XmlElement(name = "UnmappedIdentifiers")
    protected ArrayOfInstrumentIdentifier unmappedIdentifiers;
    @XmlElement(name = "UnmappedIdentifierErrors")
    protected ArrayOfString unmappedIdentifierErrors;
    @XmlElement(name = "Details")
    protected ArrayOfInstrumentDetail details;

    /**
     * Gets the value of the instruments property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValidatedInstrument }
     *     
     */
    public ArrayOfValidatedInstrument getInstruments() {
        return instruments;
    }

    /**
     * Sets the value of the instruments property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValidatedInstrument }
     *     
     */
    public void setInstruments(ArrayOfValidatedInstrument value) {
        this.instruments = value;
    }

    /**
     * Gets the value of the unmappedIdentifiers property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfInstrumentIdentifier }
     *     
     */
    public ArrayOfInstrumentIdentifier getUnmappedIdentifiers() {
        return unmappedIdentifiers;
    }

    /**
     * Sets the value of the unmappedIdentifiers property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfInstrumentIdentifier }
     *     
     */
    public void setUnmappedIdentifiers(ArrayOfInstrumentIdentifier value) {
        this.unmappedIdentifiers = value;
    }

    /**
     * Gets the value of the unmappedIdentifierErrors property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getUnmappedIdentifierErrors() {
        return unmappedIdentifierErrors;
    }

    /**
     * Sets the value of the unmappedIdentifierErrors property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setUnmappedIdentifierErrors(ArrayOfString value) {
        this.unmappedIdentifierErrors = value;
    }

    /**
     * Gets the value of the details property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfInstrumentDetail }
     *     
     */
    public ArrayOfInstrumentDetail getDetails() {
        return details;
    }

    /**
     * Sets the value of the details property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfInstrumentDetail }
     *     
     */
    public void setDetails(ArrayOfInstrumentDetail value) {
        this.details = value;
    }

}
