
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LegalEntityExtractionRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LegalEntityExtractionRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}ExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="LegalEntities" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfValidatedLegalEntity" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LegalEntityExtractionRequest", propOrder = {
    "legalEntities"
})
@XmlSeeAlso({
    LegalEntityExtractionRequestHierarchy.class,
    LegalEntityExtractionRequestTermsAndConditions.class,
    LegalEntityExtractionRequestDetail.class,
    LegalEntityExtractionRequestAudit.class,
    LegalEntityExtractionRequestRatings.class
})
public abstract class LegalEntityExtractionRequest
    extends ExtractionRequest
{

    @XmlElement(name = "LegalEntities")
    protected ArrayOfValidatedLegalEntity legalEntities;

    /**
     * Gets the value of the legalEntities property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfValidatedLegalEntity }
     *     
     */
    public ArrayOfValidatedLegalEntity getLegalEntities() {
        return legalEntities;
    }

    /**
     * Sets the value of the legalEntities property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfValidatedLegalEntity }
     *     
     */
    public void setLegalEntities(ArrayOfValidatedLegalEntity value) {
        this.legalEntities = value;
    }

}
