
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for LegalEntityExtractionRequestRatings complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LegalEntityExtractionRequestRatings">
 *   &lt;complexContent>
 *     &lt;extension base="{http://reuters.com/datascopeselect/ExtractionService/v1/}LegalEntityExtractionRequest">
 *       &lt;sequence>
 *         &lt;element name="QueryConstraint" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}RatingsQueryConstraint"/>
 *         &lt;element name="Sources" type="{http://reuters.com/datascopeselect/ExtractionService/v1/}ArrayOfString" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LegalEntityExtractionRequestRatings", propOrder = {
    "queryConstraint",
    "sources"
})
public class LegalEntityExtractionRequestRatings
    extends LegalEntityExtractionRequest
{

    @XmlElement(name = "QueryConstraint", required = true)
    protected RatingsQueryConstraint queryConstraint;
    @XmlElement(name = "Sources")
    protected ArrayOfString sources;

    /**
     * Gets the value of the queryConstraint property.
     * 
     * @return
     *     possible object is
     *     {@link RatingsQueryConstraint }
     *     
     */
    public RatingsQueryConstraint getQueryConstraint() {
        return queryConstraint;
    }

    /**
     * Sets the value of the queryConstraint property.
     * 
     * @param value
     *     allowed object is
     *     {@link RatingsQueryConstraint }
     *     
     */
    public void setQueryConstraint(RatingsQueryConstraint value) {
        this.queryConstraint = value;
    }

    /**
     * Gets the value of the sources property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfString }
     *     
     */
    public ArrayOfString getSources() {
        return sources;
    }

    /**
     * Sets the value of the sources property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfString }
     *     
     */
    public void setSources(ArrayOfString value) {
        this.sources = value;
    }

}
