
package com.reuters.datascopeselect.extractionservice.v1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.reuters.datascopeselect.extractionservice.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _OperationInfoHeader_QNAME = new QName("http://reuters.com/datascopeselect/ExtractionService/v1/", "OperationInfoHeader");
    private final static QName _CredentialsHeader_QNAME = new QName("http://reuters.com/datascopeselect/ExtractionService/v1/", "CredentialsHeader");
    private final static QName _EjvServerHeader_QNAME = new QName("http://reuters.com/datascopeselect/ExtractionService/v1/", "EjvServerHeader");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.reuters.datascopeselect.extractionservice.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeQuarterValuesResponse }
     * 
     */
    public GetEstimateFutureRelativeQuarterValuesResponse createGetEstimateFutureRelativeQuarterValuesResponse() {
        return new GetEstimateFutureRelativeQuarterValuesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfValueInfo }
     * 
     */
    public ArrayOfValueInfo createArrayOfValueInfo() {
        return new ArrayOfValueInfo();
    }

    /**
     * Create an instance of {@link GetCmoAbsSubGroupExtTypesResponse }
     * 
     */
    public GetCmoAbsSubGroupExtTypesResponse createGetCmoAbsSubGroupExtTypesResponse() {
        return new GetCmoAbsSubGroupExtTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfValueInfoSubvalue }
     * 
     */
    public ArrayOfValueInfoSubvalue createArrayOfValueInfoSubvalue() {
        return new ArrayOfValueInfoSubvalue();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsStandardPoorsTypesResponse }
     * 
     */
    public GetUSMunicipalsStandardPoorsTypesResponse createGetUSMunicipalsStandardPoorsTypesResponse() {
        return new GetUSMunicipalsStandardPoorsTypesResponse();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsNoveltyFieldsResponse }
     * 
     */
    public GetNewsAnalyticsNoveltyFieldsResponse createGetNewsAnalyticsNoveltyFieldsResponse() {
        return new GetNewsAnalyticsNoveltyFieldsResponse();
    }

    /**
     * Create an instance of {@link GetInstrumentIdentifierTypes }
     * 
     */
    public GetInstrumentIdentifierTypes createGetInstrumentIdentifierTypes() {
        return new GetInstrumentIdentifierTypes();
    }

    /**
     * Create an instance of {@link OperationInfoHeader }
     * 
     */
    public OperationInfoHeader createOperationInfoHeader() {
        return new OperationInfoHeader();
    }

    /**
     * Create an instance of {@link ValidateCounterpartiesResponse }
     * 
     */
    public ValidateCounterpartiesResponse createValidateCounterpartiesResponse() {
        return new ValidateCounterpartiesResponse();
    }

    /**
     * Create an instance of {@link CounterpartyValidationResponse }
     * 
     */
    public CounterpartyValidationResponse createCounterpartyValidationResponse() {
        return new CounterpartyValidationResponse();
    }

    /**
     * Create an instance of {@link Extract }
     * 
     */
    public Extract createExtract() {
        return new Extract();
    }

    /**
     * Create an instance of {@link GetEquitiesMiFidTypesResponse }
     * 
     */
    public GetEquitiesMiFidTypesResponse createGetEquitiesMiFidTypesResponse() {
        return new GetEquitiesMiFidTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsAmortizationTypesResponse }
     * 
     */
    public GetMbsAmortizationTypesResponse createGetMbsAmortizationTypesResponse() {
        return new GetMbsAmortizationTypesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpSubGroupTypesResponse }
     * 
     */
    public GetGovCorpSubGroupTypesResponse createGetGovCorpSubGroupTypesResponse() {
        return new GetGovCorpSubGroupTypesResponse();
    }

    /**
     * Create an instance of {@link GetFundsCurrencyTypesResponse }
     * 
     */
    public GetFundsCurrencyTypesResponse createGetFundsCurrencyTypesResponse() {
        return new GetFundsCurrencyTypesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesInstrumentSubTypesResponse }
     * 
     */
    public GetEquitiesInstrumentSubTypesResponse createGetEquitiesInstrumentSubTypesResponse() {
        return new GetEquitiesInstrumentSubTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsPoolTypesResponse }
     * 
     */
    public GetMbsPoolTypesResponse createGetMbsPoolTypesResponse() {
        return new GetMbsPoolTypesResponse();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsTopicCodes }
     * 
     */
    public GetNewsAnalyticsTopicCodes createGetNewsAnalyticsTopicCodes() {
        return new GetNewsAnalyticsTopicCodes();
    }

    /**
     * Create an instance of {@link GetLegalEntityExtractionTypesResponse }
     * 
     */
    public GetLegalEntityExtractionTypesResponse createGetLegalEntityExtractionTypesResponse() {
        return new GetLegalEntityExtractionTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfLegalEntityExtractionTypeInfo }
     * 
     */
    public ArrayOfLegalEntityExtractionTypeInfo createArrayOfLegalEntityExtractionTypeInfo() {
        return new ArrayOfLegalEntityExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link GetGovCorpAssetStatusTypes }
     * 
     */
    public GetGovCorpAssetStatusTypes createGetGovCorpAssetStatusTypes() {
        return new GetGovCorpAssetStatusTypes();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeFiscalYearValues }
     * 
     */
    public GetEstimateHistoricalRelativeFiscalYearValues createGetEstimateHistoricalRelativeFiscalYearValues() {
        return new GetEstimateHistoricalRelativeFiscalYearValues();
    }

    /**
     * Create an instance of {@link Define }
     * 
     */
    public Define createDefine() {
        return new Define();
    }

    /**
     * Create an instance of {@link GetLegalEntityIdentifierTypesResponse }
     * 
     */
    public GetLegalEntityIdentifierTypesResponse createGetLegalEntityIdentifierTypesResponse() {
        return new GetLegalEntityIdentifierTypesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpCountryTypesResponse }
     * 
     */
    public GetGovCorpCountryTypesResponse createGetGovCorpCountryTypesResponse() {
        return new GetGovCorpCountryTypesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpContributorTypesResponse }
     * 
     */
    public GetGovCorpContributorTypesResponse createGetGovCorpContributorTypesResponse() {
        return new GetGovCorpContributorTypesResponse();
    }

    /**
     * Create an instance of {@link GetCounterpartyExtractionTypesResponse }
     * 
     */
    public GetCounterpartyExtractionTypesResponse createGetCounterpartyExtractionTypesResponse() {
        return new GetCounterpartyExtractionTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfCounterpartyExtractionTypeInfo }
     * 
     */
    public ArrayOfCounterpartyExtractionTypeInfo createArrayOfCounterpartyExtractionTypeInfo() {
        return new ArrayOfCounterpartyExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link GetCounterpartyIdentifierTypesResponse }
     * 
     */
    public GetCounterpartyIdentifierTypesResponse createGetCounterpartyIdentifierTypesResponse() {
        return new GetCounterpartyIdentifierTypesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpAssetStatusTypesResponse }
     * 
     */
    public GetGovCorpAssetStatusTypesResponse createGetGovCorpAssetStatusTypesResponse() {
        return new GetGovCorpAssetStatusTypesResponse();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsRelevanceOperatorsResponse }
     * 
     */
    public GetNewsAnalyticsRelevanceOperatorsResponse createGetNewsAnalyticsRelevanceOperatorsResponse() {
        return new GetNewsAnalyticsRelevanceOperatorsResponse();
    }

    /**
     * Create an instance of {@link SearchInstrumentsResponse }
     * 
     */
    public SearchInstrumentsResponse createSearchInstrumentsResponse() {
        return new SearchInstrumentsResponse();
    }

    /**
     * Create an instance of {@link InstrumentSearchResponse }
     * 
     */
    public InstrumentSearchResponse createInstrumentSearchResponse() {
        return new InstrumentSearchResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsTypesResponse }
     * 
     */
    public GetFuturesAndOptionsTypesResponse createGetFuturesAndOptionsTypesResponse() {
        return new GetFuturesAndOptionsTypesResponse();
    }

    /**
     * Create an instance of {@link GetCoraxShareTypesResponse }
     * 
     */
    public GetCoraxShareTypesResponse createGetCoraxShareTypesResponse() {
        return new GetCoraxShareTypesResponse();
    }

    /**
     * Create an instance of {@link GetPremiumPricingTypes }
     * 
     */
    public GetPremiumPricingTypes createGetPremiumPricingTypes() {
        return new GetPremiumPricingTypes();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsTypes }
     * 
     */
    public GetFuturesAndOptionsTypes createGetFuturesAndOptionsTypes() {
        return new GetFuturesAndOptionsTypes();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsMoodyTypesResponse }
     * 
     */
    public GetUSMunicipalsMoodyTypesResponse createGetUSMunicipalsMoodyTypesResponse() {
        return new GetUSMunicipalsMoodyTypesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesMiFidTypes }
     * 
     */
    public GetEquitiesMiFidTypes createGetEquitiesMiFidTypes() {
        return new GetEquitiesMiFidTypes();
    }

    /**
     * Create an instance of {@link GetCoraxEvents }
     * 
     */
    public GetCoraxEvents createGetCoraxEvents() {
        return new GetCoraxEvents();
    }

    /**
     * Create an instance of {@link GetCmoAbsAssetStatusTypes }
     * 
     */
    public GetCmoAbsAssetStatusTypes createGetCmoAbsAssetStatusTypes() {
        return new GetCmoAbsAssetStatusTypes();
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeSemiAnnualValuesResponse }
     * 
     */
    public GetEstimateFutureRelativeSemiAnnualValuesResponse createGetEstimateFutureRelativeSemiAnnualValuesResponse() {
        return new GetEstimateFutureRelativeSemiAnnualValuesResponse();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsSourceValuesResponse }
     * 
     */
    public GetNewsAnalyticsSourceValuesResponse createGetNewsAnalyticsSourceValuesResponse() {
        return new GetNewsAnalyticsSourceValuesResponse();
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeFiscalYearValuesResponse }
     * 
     */
    public GetEstimateFutureRelativeFiscalYearValuesResponse createGetEstimateFutureRelativeFiscalYearValuesResponse() {
        return new GetEstimateFutureRelativeFiscalYearValuesResponse();
    }

    /**
     * Create an instance of {@link GetInstrumentExtractionTypes }
     * 
     */
    public GetInstrumentExtractionTypes createGetInstrumentExtractionTypes() {
        return new GetInstrumentExtractionTypes();
    }

    /**
     * Create an instance of {@link GetInstrumentTypesResponse }
     * 
     */
    public GetInstrumentTypesResponse createGetInstrumentTypesResponse() {
        return new GetInstrumentTypesResponse();
    }

    /**
     * Create an instance of {@link SearchCounterpartiesResponse }
     * 
     */
    public SearchCounterpartiesResponse createSearchCounterpartiesResponse() {
        return new SearchCounterpartiesResponse();
    }

    /**
     * Create an instance of {@link CounterpartySearchResponse }
     * 
     */
    public CounterpartySearchResponse createCounterpartySearchResponse() {
        return new CounterpartySearchResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesFairValueIndicatorTypesResponse }
     * 
     */
    public GetEquitiesFairValueIndicatorTypesResponse createGetEquitiesFairValueIndicatorTypesResponse() {
        return new GetEquitiesFairValueIndicatorTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsSettleMonthTypes }
     * 
     */
    public GetMbsSettleMonthTypes createGetMbsSettleMonthTypes() {
        return new GetMbsSettleMonthTypes();
    }

    /**
     * Create an instance of {@link GetFundsCurrencyTypes }
     * 
     */
    public GetFundsCurrencyTypes createGetFundsCurrencyTypes() {
        return new GetFundsCurrencyTypes();
    }

    /**
     * Create an instance of {@link GetSymbolCrossReferenceTypesResponse }
     * 
     */
    public GetSymbolCrossReferenceTypesResponse createGetSymbolCrossReferenceTypesResponse() {
        return new GetSymbolCrossReferenceTypesResponse();
    }

    /**
     * Create an instance of {@link GetCmoAbsSubGroupTypes }
     * 
     */
    public GetCmoAbsSubGroupTypes createGetCmoAbsSubGroupTypes() {
        return new GetCmoAbsSubGroupTypes();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeSemiAnnualValues }
     * 
     */
    public GetEstimateHistoricalRelativeSemiAnnualValues createGetEstimateHistoricalRelativeSemiAnnualValues() {
        return new GetEstimateHistoricalRelativeSemiAnnualValues();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsAssetStatusTypes }
     * 
     */
    public GetUSMunicipalsAssetStatusTypes createGetUSMunicipalsAssetStatusTypes() {
        return new GetUSMunicipalsAssetStatusTypes();
    }

    /**
     * Create an instance of {@link ValidateLegalEntities }
     * 
     */
    public ValidateLegalEntities createValidateLegalEntities() {
        return new ValidateLegalEntities();
    }

    /**
     * Create an instance of {@link LegalEntityValidationRequest }
     * 
     */
    public LegalEntityValidationRequest createLegalEntityValidationRequest() {
        return new LegalEntityValidationRequest();
    }

    /**
     * Create an instance of {@link GetNewsItemsTopicCodesResponse }
     * 
     */
    public GetNewsItemsTopicCodesResponse createGetNewsItemsTopicCodesResponse() {
        return new GetNewsItemsTopicCodesResponse();
    }

    /**
     * Create an instance of {@link GetIssuerAssetClasses }
     * 
     */
    public GetIssuerAssetClasses createGetIssuerAssetClasses() {
        return new GetIssuerAssetClasses();
    }

    /**
     * Create an instance of {@link GetFundAllocationTypes }
     * 
     */
    public GetFundAllocationTypes createGetFundAllocationTypes() {
        return new GetFundAllocationTypes();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsNoveltyOperators }
     * 
     */
    public GetNewsAnalyticsNoveltyOperators createGetNewsAnalyticsNoveltyOperators() {
        return new GetNewsAnalyticsNoveltyOperators();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsNoveltyFields }
     * 
     */
    public GetNewsAnalyticsNoveltyFields createGetNewsAnalyticsNoveltyFields() {
        return new GetNewsAnalyticsNoveltyFields();
    }

    /**
     * Create an instance of {@link ValidateInstruments }
     * 
     */
    public ValidateInstruments createValidateInstruments() {
        return new ValidateInstruments();
    }

    /**
     * Create an instance of {@link InstrumentValidationRequest }
     * 
     */
    public InstrumentValidationRequest createInstrumentValidationRequest() {
        return new InstrumentValidationRequest();
    }

    /**
     * Create an instance of {@link GetComparisonOperators }
     * 
     */
    public GetComparisonOperators createGetComparisonOperators() {
        return new GetComparisonOperators();
    }

    /**
     * Create an instance of {@link GetEquitiesExchangeTypes }
     * 
     */
    public GetEquitiesExchangeTypes createGetEquitiesExchangeTypes() {
        return new GetEquitiesExchangeTypes();
    }

    /**
     * Create an instance of {@link GetCoraxShareTypes }
     * 
     */
    public GetCoraxShareTypes createGetCoraxShareTypes() {
        return new GetCoraxShareTypes();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsStandardPoorsTypes }
     * 
     */
    public GetUSMunicipalsStandardPoorsTypes createGetUSMunicipalsStandardPoorsTypes() {
        return new GetUSMunicipalsStandardPoorsTypes();
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeSemiAnnualValues }
     * 
     */
    public GetEstimateFutureRelativeSemiAnnualValues createGetEstimateFutureRelativeSemiAnnualValues() {
        return new GetEstimateFutureRelativeSemiAnnualValues();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsSentimentValuesResponse }
     * 
     */
    public GetNewsAnalyticsSentimentValuesResponse createGetNewsAnalyticsSentimentValuesResponse() {
        return new GetNewsAnalyticsSentimentValuesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesStatusTypes }
     * 
     */
    public GetEquitiesStatusTypes createGetEquitiesStatusTypes() {
        return new GetEquitiesStatusTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpSubGroupTypes }
     * 
     */
    public GetGovCorpSubGroupTypes createGetGovCorpSubGroupTypes() {
        return new GetGovCorpSubGroupTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpStandardPoorsTypes }
     * 
     */
    public GetGovCorpStandardPoorsTypes createGetGovCorpStandardPoorsTypes() {
        return new GetGovCorpStandardPoorsTypes();
    }

    /**
     * Create an instance of {@link GetEquitiesAssetCategoryTypes }
     * 
     */
    public GetEquitiesAssetCategoryTypes createGetEquitiesAssetCategoryTypes() {
        return new GetEquitiesAssetCategoryTypes();
    }

    /**
     * Create an instance of {@link GetVersion }
     * 
     */
    public GetVersion createGetVersion() {
        return new GetVersion();
    }

    /**
     * Create an instance of {@link GetMbsAssetStatusTypes }
     * 
     */
    public GetMbsAssetStatusTypes createGetMbsAssetStatusTypes() {
        return new GetMbsAssetStatusTypes();
    }

    /**
     * Create an instance of {@link GetRatingsSourceValues }
     * 
     */
    public GetRatingsSourceValues createGetRatingsSourceValues() {
        return new GetRatingsSourceValues();
    }

    /**
     * Create an instance of {@link GetMbsAssetStatusTypesResponse }
     * 
     */
    public GetMbsAssetStatusTypesResponse createGetMbsAssetStatusTypesResponse() {
        return new GetMbsAssetStatusTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsSecurityGroupTypesResponse }
     * 
     */
    public GetMbsSecurityGroupTypesResponse createGetMbsSecurityGroupTypesResponse() {
        return new GetMbsSecurityGroupTypesResponse();
    }

    /**
     * Create an instance of {@link GetFundsDomicileTypesResponse }
     * 
     */
    public GetFundsDomicileTypesResponse createGetFundsDomicileTypesResponse() {
        return new GetFundsDomicileTypesResponse();
    }

    /**
     * Create an instance of {@link GetInstrumentTypes }
     * 
     */
    public GetInstrumentTypes createGetInstrumentTypes() {
        return new GetInstrumentTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpStandardPoorsTypesResponse }
     * 
     */
    public GetGovCorpStandardPoorsTypesResponse createGetGovCorpStandardPoorsTypesResponse() {
        return new GetGovCorpStandardPoorsTypesResponse();
    }

    /**
     * Create an instance of {@link ValidateLegalEntitiesResponse }
     * 
     */
    public ValidateLegalEntitiesResponse createValidateLegalEntitiesResponse() {
        return new ValidateLegalEntitiesResponse();
    }

    /**
     * Create an instance of {@link LegalEntityValidationResponse }
     * 
     */
    public LegalEntityValidationResponse createLegalEntityValidationResponse() {
        return new LegalEntityValidationResponse();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsSentimentValues }
     * 
     */
    public GetNewsAnalyticsSentimentValues createGetNewsAnalyticsSentimentValues() {
        return new GetNewsAnalyticsSentimentValues();
    }

    /**
     * Create an instance of {@link GetFundAllocationTypesResponse }
     * 
     */
    public GetFundAllocationTypesResponse createGetFundAllocationTypesResponse() {
        return new GetFundAllocationTypesResponse();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsAssetStatusTypesResponse }
     * 
     */
    public GetUSMunicipalsAssetStatusTypesResponse createGetUSMunicipalsAssetStatusTypesResponse() {
        return new GetUSMunicipalsAssetStatusTypesResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsExchangeTypesResponse }
     * 
     */
    public GetFuturesAndOptionsExchangeTypesResponse createGetFuturesAndOptionsExchangeTypesResponse() {
        return new GetFuturesAndOptionsExchangeTypesResponse();
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeQuarterValues }
     * 
     */
    public GetEstimateFutureRelativeQuarterValues createGetEstimateFutureRelativeQuarterValues() {
        return new GetEstimateFutureRelativeQuarterValues();
    }

    /**
     * Create an instance of {@link GetGovCorpIndustryTypes }
     * 
     */
    public GetGovCorpIndustryTypes createGetGovCorpIndustryTypes() {
        return new GetGovCorpIndustryTypes();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsTopicCodesResponse }
     * 
     */
    public GetNewsAnalyticsTopicCodesResponse createGetNewsAnalyticsTopicCodesResponse() {
        return new GetNewsAnalyticsTopicCodesResponse();
    }

    /**
     * Create an instance of {@link DefineResponse }
     * 
     */
    public DefineResponse createDefineResponse() {
        return new DefineResponse();
    }

    /**
     * Create an instance of {@link DataDictionaryResponse }
     * 
     */
    public DataDictionaryResponse createDataDictionaryResponse() {
        return new DataDictionaryResponse();
    }

    /**
     * Create an instance of {@link GetInstrumentSearchTypesResponse }
     * 
     */
    public GetInstrumentSearchTypesResponse createGetInstrumentSearchTypesResponse() {
        return new GetInstrumentSearchTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfInstrumentSearchTypeInfo }
     * 
     */
    public ArrayOfInstrumentSearchTypeInfo createArrayOfInstrumentSearchTypeInfo() {
        return new ArrayOfInstrumentSearchTypeInfo();
    }

    /**
     * Create an instance of {@link GetTimeseriesLookbackPeriodTypes }
     * 
     */
    public GetTimeseriesLookbackPeriodTypes createGetTimeseriesLookbackPeriodTypes() {
        return new GetTimeseriesLookbackPeriodTypes();
    }

    /**
     * Create an instance of {@link GetEquitiesCurrencyTypesResponse }
     * 
     */
    public GetEquitiesCurrencyTypesResponse createGetEquitiesCurrencyTypesResponse() {
        return new GetEquitiesCurrencyTypesResponse();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsStateTypesResponse }
     * 
     */
    public GetUSMunicipalsStateTypesResponse createGetUSMunicipalsStateTypesResponse() {
        return new GetUSMunicipalsStateTypesResponse();
    }

    /**
     * Create an instance of {@link GetEstimateCompanyTypeValuesResponse }
     * 
     */
    public GetEstimateCompanyTypeValuesResponse createGetEstimateCompanyTypeValuesResponse() {
        return new GetEstimateCompanyTypeValuesResponse();
    }

    /**
     * Create an instance of {@link GetEstimateDeltaDaysValuesResponse }
     * 
     */
    public GetEstimateDeltaDaysValuesResponse createGetEstimateDeltaDaysValuesResponse() {
        return new GetEstimateDeltaDaysValuesResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsStatusTypesResponse }
     * 
     */
    public GetFuturesAndOptionsStatusTypesResponse createGetFuturesAndOptionsStatusTypesResponse() {
        return new GetFuturesAndOptionsStatusTypesResponse();
    }

    /**
     * Create an instance of {@link GetSymbolCrossReferenceTypes }
     * 
     */
    public GetSymbolCrossReferenceTypes createGetSymbolCrossReferenceTypes() {
        return new GetSymbolCrossReferenceTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpMoodyTypes }
     * 
     */
    public GetGovCorpMoodyTypes createGetGovCorpMoodyTypes() {
        return new GetGovCorpMoodyTypes();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsSourceValues }
     * 
     */
    public GetNewsAnalyticsSourceValues createGetNewsAnalyticsSourceValues() {
        return new GetNewsAnalyticsSourceValues();
    }

    /**
     * Create an instance of {@link GetCoraxEventsResponse }
     * 
     */
    public GetCoraxEventsResponse createGetCoraxEventsResponse() {
        return new GetCoraxEventsResponse();
    }

    /**
     * Create an instance of {@link ArrayOfCoraxEventInfo }
     * 
     */
    public ArrayOfCoraxEventInfo createArrayOfCoraxEventInfo() {
        return new ArrayOfCoraxEventInfo();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsMoodyTypes }
     * 
     */
    public GetUSMunicipalsMoodyTypes createGetUSMunicipalsMoodyTypes() {
        return new GetUSMunicipalsMoodyTypes();
    }

    /**
     * Create an instance of {@link GetTimeseriesLookbackPeriodTypesResponse }
     * 
     */
    public GetTimeseriesLookbackPeriodTypesResponse createGetTimeseriesLookbackPeriodTypesResponse() {
        return new GetTimeseriesLookbackPeriodTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsAmortizationTypes }
     * 
     */
    public GetMbsAmortizationTypes createGetMbsAmortizationTypes() {
        return new GetMbsAmortizationTypes();
    }

    /**
     * Create an instance of {@link GetEstimateCompanyTypeValues }
     * 
     */
    public GetEstimateCompanyTypeValues createGetEstimateCompanyTypeValues() {
        return new GetEstimateCompanyTypeValues();
    }

    /**
     * Create an instance of {@link GetEquitiesExchangeTypesResponse }
     * 
     */
    public GetEquitiesExchangeTypesResponse createGetEquitiesExchangeTypesResponse() {
        return new GetEquitiesExchangeTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsSettleMonthTypesResponse }
     * 
     */
    public GetMbsSettleMonthTypesResponse createGetMbsSettleMonthTypesResponse() {
        return new GetMbsSettleMonthTypesResponse();
    }

    /**
     * Create an instance of {@link GetFundsDomicileTypes }
     * 
     */
    public GetFundsDomicileTypes createGetFundsDomicileTypes() {
        return new GetFundsDomicileTypes();
    }

    /**
     * Create an instance of {@link ReportUsage }
     * 
     */
    public ReportUsage createReportUsage() {
        return new ReportUsage();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsRelevanceOperators }
     * 
     */
    public GetNewsAnalyticsRelevanceOperators createGetNewsAnalyticsRelevanceOperators() {
        return new GetNewsAnalyticsRelevanceOperators();
    }

    /**
     * Create an instance of {@link GetEquitiesInstrumentSubTypes }
     * 
     */
    public GetEquitiesInstrumentSubTypes createGetEquitiesInstrumentSubTypes() {
        return new GetEquitiesInstrumentSubTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpContributorTypes }
     * 
     */
    public GetGovCorpContributorTypes createGetGovCorpContributorTypes() {
        return new GetGovCorpContributorTypes();
    }

    /**
     * Create an instance of {@link GetNewsItemsLanguagesResponse }
     * 
     */
    public GetNewsItemsLanguagesResponse createGetNewsItemsLanguagesResponse() {
        return new GetNewsItemsLanguagesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpMoodyTypesResponse }
     * 
     */
    public GetGovCorpMoodyTypesResponse createGetGovCorpMoodyTypesResponse() {
        return new GetGovCorpMoodyTypesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesDomicileTypesResponse }
     * 
     */
    public GetEquitiesDomicileTypesResponse createGetEquitiesDomicileTypesResponse() {
        return new GetEquitiesDomicileTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsAgencyTypes }
     * 
     */
    public GetMbsAgencyTypes createGetMbsAgencyTypes() {
        return new GetMbsAgencyTypes();
    }

    /**
     * Create an instance of {@link GetNewsItemsLanguages }
     * 
     */
    public GetNewsItemsLanguages createGetNewsItemsLanguages() {
        return new GetNewsItemsLanguages();
    }

    /**
     * Create an instance of {@link GetBondScheduleTypesResponse }
     * 
     */
    public GetBondScheduleTypesResponse createGetBondScheduleTypesResponse() {
        return new GetBondScheduleTypesResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsCurrencyTypesResponse }
     * 
     */
    public GetFuturesAndOptionsCurrencyTypesResponse createGetFuturesAndOptionsCurrencyTypesResponse() {
        return new GetFuturesAndOptionsCurrencyTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsPoolTypes }
     * 
     */
    public GetMbsPoolTypes createGetMbsPoolTypes() {
        return new GetMbsPoolTypes();
    }

    /**
     * Create an instance of {@link GetComparisonOperatorsResponse }
     * 
     */
    public GetComparisonOperatorsResponse createGetComparisonOperatorsResponse() {
        return new GetComparisonOperatorsResponse();
    }

    /**
     * Create an instance of {@link GetEstimateTypesResponse }
     * 
     */
    public GetEstimateTypesResponse createGetEstimateTypesResponse() {
        return new GetEstimateTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfEstimateTypeInfo }
     * 
     */
    public ArrayOfEstimateTypeInfo createArrayOfEstimateTypeInfo() {
        return new ArrayOfEstimateTypeInfo();
    }

    /**
     * Create an instance of {@link GetEquitiesFairValueIndicatorTypes }
     * 
     */
    public GetEquitiesFairValueIndicatorTypes createGetEquitiesFairValueIndicatorTypes() {
        return new GetEquitiesFairValueIndicatorTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpCountryTypes }
     * 
     */
    public GetGovCorpCountryTypes createGetGovCorpCountryTypes() {
        return new GetGovCorpCountryTypes();
    }

    /**
     * Create an instance of {@link GetEstimateDeltaDaysValues }
     * 
     */
    public GetEstimateDeltaDaysValues createGetEstimateDeltaDaysValues() {
        return new GetEstimateDeltaDaysValues();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeQuarterValues }
     * 
     */
    public GetEstimateHistoricalRelativeQuarterValues createGetEstimateHistoricalRelativeQuarterValues() {
        return new GetEstimateHistoricalRelativeQuarterValues();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeQuarterValuesResponse }
     * 
     */
    public GetEstimateHistoricalRelativeQuarterValuesResponse createGetEstimateHistoricalRelativeQuarterValuesResponse() {
        return new GetEstimateHistoricalRelativeQuarterValuesResponse();
    }

    /**
     * Create an instance of {@link SearchLegalEntitiesResponse }
     * 
     */
    public SearchLegalEntitiesResponse createSearchLegalEntitiesResponse() {
        return new SearchLegalEntitiesResponse();
    }

    /**
     * Create an instance of {@link LegalEntitySearchResponse }
     * 
     */
    public LegalEntitySearchResponse createLegalEntitySearchResponse() {
        return new LegalEntitySearchResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpSubGroupExtTypesResponse }
     * 
     */
    public GetGovCorpSubGroupExtTypesResponse createGetGovCorpSubGroupExtTypesResponse() {
        return new GetGovCorpSubGroupExtTypesResponse();
    }

    /**
     * Create an instance of {@link GetIssuerAssetClassesResponse }
     * 
     */
    public GetIssuerAssetClassesResponse createGetIssuerAssetClassesResponse() {
        return new GetIssuerAssetClassesResponse();
    }

    /**
     * Create an instance of {@link GetRatingsSourceValuesResponse }
     * 
     */
    public GetRatingsSourceValuesResponse createGetRatingsSourceValuesResponse() {
        return new GetRatingsSourceValuesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpCurrencyTypes }
     * 
     */
    public GetGovCorpCurrencyTypes createGetGovCorpCurrencyTypes() {
        return new GetGovCorpCurrencyTypes();
    }

    /**
     * Create an instance of {@link GetInstrumentSearchTypes }
     * 
     */
    public GetInstrumentSearchTypes createGetInstrumentSearchTypes() {
        return new GetInstrumentSearchTypes();
    }

    /**
     * Create an instance of {@link GetEquitiesGicsIndustryTypes }
     * 
     */
    public GetEquitiesGicsIndustryTypes createGetEquitiesGicsIndustryTypes() {
        return new GetEquitiesGicsIndustryTypes();
    }

    /**
     * Create an instance of {@link GetVersionResponse }
     * 
     */
    public GetVersionResponse createGetVersionResponse() {
        return new GetVersionResponse();
    }

    /**
     * Create an instance of {@link VersionInfo }
     * 
     */
    public VersionInfo createVersionInfo() {
        return new VersionInfo();
    }

    /**
     * Create an instance of {@link GetGovCorpSubGroupExtTypes }
     * 
     */
    public GetGovCorpSubGroupExtTypes createGetGovCorpSubGroupExtTypes() {
        return new GetGovCorpSubGroupExtTypes();
    }

    /**
     * Create an instance of {@link GetUSMunicipalsStateTypes }
     * 
     */
    public GetUSMunicipalsStateTypes createGetUSMunicipalsStateTypes() {
        return new GetUSMunicipalsStateTypes();
    }

    /**
     * Create an instance of {@link SearchCounterparties }
     * 
     */
    public SearchCounterparties createSearchCounterparties() {
        return new SearchCounterparties();
    }

    /**
     * Create an instance of {@link GetEquitiesDomicileTypes }
     * 
     */
    public GetEquitiesDomicileTypes createGetEquitiesDomicileTypes() {
        return new GetEquitiesDomicileTypes();
    }

    /**
     * Create an instance of {@link GetEstimateFutureRelativeFiscalYearValues }
     * 
     */
    public GetEstimateFutureRelativeFiscalYearValues createGetEstimateFutureRelativeFiscalYearValues() {
        return new GetEstimateFutureRelativeFiscalYearValues();
    }

    /**
     * Create an instance of {@link GetCounterpartyExtractionTypes }
     * 
     */
    public GetCounterpartyExtractionTypes createGetCounterpartyExtractionTypes() {
        return new GetCounterpartyExtractionTypes();
    }

    /**
     * Create an instance of {@link GetBondScheduleTypes }
     * 
     */
    public GetBondScheduleTypes createGetBondScheduleTypes() {
        return new GetBondScheduleTypes();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsCurrencyTypes }
     * 
     */
    public GetFuturesAndOptionsCurrencyTypes createGetFuturesAndOptionsCurrencyTypes() {
        return new GetFuturesAndOptionsCurrencyTypes();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeFiscalYearValuesResponse }
     * 
     */
    public GetEstimateHistoricalRelativeFiscalYearValuesResponse createGetEstimateHistoricalRelativeFiscalYearValuesResponse() {
        return new GetEstimateHistoricalRelativeFiscalYearValuesResponse();
    }

    /**
     * Create an instance of {@link GetPremiumPricingTypesResponse }
     * 
     */
    public GetPremiumPricingTypesResponse createGetPremiumPricingTypesResponse() {
        return new GetPremiumPricingTypesResponse();
    }

    /**
     * Create an instance of {@link GetGovCorpCurrencyTypesResponse }
     * 
     */
    public GetGovCorpCurrencyTypesResponse createGetGovCorpCurrencyTypesResponse() {
        return new GetGovCorpCurrencyTypesResponse();
    }

    /**
     * Create an instance of {@link GetCmoAbsAssetStatusTypesResponse }
     * 
     */
    public GetCmoAbsAssetStatusTypesResponse createGetCmoAbsAssetStatusTypesResponse() {
        return new GetCmoAbsAssetStatusTypesResponse();
    }

    /**
     * Create an instance of {@link SearchInstruments }
     * 
     */
    public SearchInstruments createSearchInstruments() {
        return new SearchInstruments();
    }

    /**
     * Create an instance of {@link GetLegalEntityIdentifierTypes }
     * 
     */
    public GetLegalEntityIdentifierTypes createGetLegalEntityIdentifierTypes() {
        return new GetLegalEntityIdentifierTypes();
    }

    /**
     * Create an instance of {@link EjvServerHeader }
     * 
     */
    public EjvServerHeader createEjvServerHeader() {
        return new EjvServerHeader();
    }

    /**
     * Create an instance of {@link GetEstimateTypes }
     * 
     */
    public GetEstimateTypes createGetEstimateTypes() {
        return new GetEstimateTypes();
    }

    /**
     * Create an instance of {@link GetNewsItemsTopicCodes }
     * 
     */
    public GetNewsItemsTopicCodes createGetNewsItemsTopicCodes() {
        return new GetNewsItemsTopicCodes();
    }

    /**
     * Create an instance of {@link GetCounterpartyIdentifierTypes }
     * 
     */
    public GetCounterpartyIdentifierTypes createGetCounterpartyIdentifierTypes() {
        return new GetCounterpartyIdentifierTypes();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsStatusTypes }
     * 
     */
    public GetFuturesAndOptionsStatusTypes createGetFuturesAndOptionsStatusTypes() {
        return new GetFuturesAndOptionsStatusTypes();
    }

    /**
     * Create an instance of {@link GetCmoAbsSubGroupExtTypes }
     * 
     */
    public GetCmoAbsSubGroupExtTypes createGetCmoAbsSubGroupExtTypes() {
        return new GetCmoAbsSubGroupExtTypes();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsExchangeTypes }
     * 
     */
    public GetFuturesAndOptionsExchangeTypes createGetFuturesAndOptionsExchangeTypes() {
        return new GetFuturesAndOptionsExchangeTypes();
    }

    /**
     * Create an instance of {@link GetGovCorpIndustryTypesResponse }
     * 
     */
    public GetGovCorpIndustryTypesResponse createGetGovCorpIndustryTypesResponse() {
        return new GetGovCorpIndustryTypesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesStatusTypesResponse }
     * 
     */
    public GetEquitiesStatusTypesResponse createGetEquitiesStatusTypesResponse() {
        return new GetEquitiesStatusTypesResponse();
    }

    /**
     * Create an instance of {@link CredentialsHeader }
     * 
     */
    public CredentialsHeader createCredentialsHeader() {
        return new CredentialsHeader();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsExerciseStylesTypes }
     * 
     */
    public GetFuturesAndOptionsExerciseStylesTypes createGetFuturesAndOptionsExerciseStylesTypes() {
        return new GetFuturesAndOptionsExerciseStylesTypes();
    }

    /**
     * Create an instance of {@link GetMbsAgencyTypesResponse }
     * 
     */
    public GetMbsAgencyTypesResponse createGetMbsAgencyTypesResponse() {
        return new GetMbsAgencyTypesResponse();
    }

    /**
     * Create an instance of {@link GetEstimateHistoricalRelativeSemiAnnualValuesResponse }
     * 
     */
    public GetEstimateHistoricalRelativeSemiAnnualValuesResponse createGetEstimateHistoricalRelativeSemiAnnualValuesResponse() {
        return new GetEstimateHistoricalRelativeSemiAnnualValuesResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsExerciseStylesTypesResponse }
     * 
     */
    public GetFuturesAndOptionsExerciseStylesTypesResponse createGetFuturesAndOptionsExerciseStylesTypesResponse() {
        return new GetFuturesAndOptionsExerciseStylesTypesResponse();
    }

    /**
     * Create an instance of {@link SearchLegalEntities }
     * 
     */
    public SearchLegalEntities createSearchLegalEntities() {
        return new SearchLegalEntities();
    }

    /**
     * Create an instance of {@link GetNewsAnalyticsNoveltyOperatorsResponse }
     * 
     */
    public GetNewsAnalyticsNoveltyOperatorsResponse createGetNewsAnalyticsNoveltyOperatorsResponse() {
        return new GetNewsAnalyticsNoveltyOperatorsResponse();
    }

    /**
     * Create an instance of {@link GetNewsItemsSourceValuesResponse }
     * 
     */
    public GetNewsItemsSourceValuesResponse createGetNewsItemsSourceValuesResponse() {
        return new GetNewsItemsSourceValuesResponse();
    }

    /**
     * Create an instance of {@link GetLegalEntityExtractionTypes }
     * 
     */
    public GetLegalEntityExtractionTypes createGetLegalEntityExtractionTypes() {
        return new GetLegalEntityExtractionTypes();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsPutCallTypesResponse }
     * 
     */
    public GetFuturesAndOptionsPutCallTypesResponse createGetFuturesAndOptionsPutCallTypesResponse() {
        return new GetFuturesAndOptionsPutCallTypesResponse();
    }

    /**
     * Create an instance of {@link GetFuturesAndOptionsPutCallTypes }
     * 
     */
    public GetFuturesAndOptionsPutCallTypes createGetFuturesAndOptionsPutCallTypes() {
        return new GetFuturesAndOptionsPutCallTypes();
    }

    /**
     * Create an instance of {@link ValidateInstrumentsResponse }
     * 
     */
    public ValidateInstrumentsResponse createValidateInstrumentsResponse() {
        return new ValidateInstrumentsResponse();
    }

    /**
     * Create an instance of {@link InstrumentValidationResponse }
     * 
     */
    public InstrumentValidationResponse createInstrumentValidationResponse() {
        return new InstrumentValidationResponse();
    }

    /**
     * Create an instance of {@link GetInstrumentExtractionTypesResponse }
     * 
     */
    public GetInstrumentExtractionTypesResponse createGetInstrumentExtractionTypesResponse() {
        return new GetInstrumentExtractionTypesResponse();
    }

    /**
     * Create an instance of {@link ArrayOfInstrumentExtractionTypeInfo }
     * 
     */
    public ArrayOfInstrumentExtractionTypeInfo createArrayOfInstrumentExtractionTypeInfo() {
        return new ArrayOfInstrumentExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link GetInstrumentIdentifierTypesResponse }
     * 
     */
    public GetInstrumentIdentifierTypesResponse createGetInstrumentIdentifierTypesResponse() {
        return new GetInstrumentIdentifierTypesResponse();
    }

    /**
     * Create an instance of {@link ExtractResponse }
     * 
     */
    public ExtractResponse createExtractResponse() {
        return new ExtractResponse();
    }

    /**
     * Create an instance of {@link ExtractionResponse }
     * 
     */
    public ExtractionResponse createExtractionResponse() {
        return new ExtractionResponse();
    }

    /**
     * Create an instance of {@link ReportUsageResponse }
     * 
     */
    public ReportUsageResponse createReportUsageResponse() {
        return new ReportUsageResponse();
    }

    /**
     * Create an instance of {@link UsageResponse }
     * 
     */
    public UsageResponse createUsageResponse() {
        return new UsageResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesCurrencyTypes }
     * 
     */
    public GetEquitiesCurrencyTypes createGetEquitiesCurrencyTypes() {
        return new GetEquitiesCurrencyTypes();
    }

    /**
     * Create an instance of {@link GetEquitiesAssetCategoryTypesResponse }
     * 
     */
    public GetEquitiesAssetCategoryTypesResponse createGetEquitiesAssetCategoryTypesResponse() {
        return new GetEquitiesAssetCategoryTypesResponse();
    }

    /**
     * Create an instance of {@link ValidateCounterparties }
     * 
     */
    public ValidateCounterparties createValidateCounterparties() {
        return new ValidateCounterparties();
    }

    /**
     * Create an instance of {@link CounterpartyValidationRequest }
     * 
     */
    public CounterpartyValidationRequest createCounterpartyValidationRequest() {
        return new CounterpartyValidationRequest();
    }

    /**
     * Create an instance of {@link GetNewsItemsSourceValues }
     * 
     */
    public GetNewsItemsSourceValues createGetNewsItemsSourceValues() {
        return new GetNewsItemsSourceValues();
    }

    /**
     * Create an instance of {@link GetCmoAbsSubGroupTypesResponse }
     * 
     */
    public GetCmoAbsSubGroupTypesResponse createGetCmoAbsSubGroupTypesResponse() {
        return new GetCmoAbsSubGroupTypesResponse();
    }

    /**
     * Create an instance of {@link GetEquitiesGicsIndustryTypesResponse }
     * 
     */
    public GetEquitiesGicsIndustryTypesResponse createGetEquitiesGicsIndustryTypesResponse() {
        return new GetEquitiesGicsIndustryTypesResponse();
    }

    /**
     * Create an instance of {@link GetMbsSecurityGroupTypes }
     * 
     */
    public GetMbsSecurityGroupTypes createGetMbsSecurityGroupTypes() {
        return new GetMbsSecurityGroupTypes();
    }

    /**
     * Create an instance of {@link ValueInfoSubvalue }
     * 
     */
    public ValueInfoSubvalue createValueInfoSubvalue() {
        return new ValueInfoSubvalue();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestComposite }
     * 
     */
    public InstrumentExtractionRequestComposite createInstrumentExtractionRequestComposite() {
        return new InstrumentExtractionRequestComposite();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestNewsItems }
     * 
     */
    public InstrumentExtractionRequestNewsItems createInstrumentExtractionRequestNewsItems() {
        return new InstrumentExtractionRequestNewsItems();
    }

    /**
     * Create an instance of {@link ArrayOfCounterpartyIdentifier }
     * 
     */
    public ArrayOfCounterpartyIdentifier createArrayOfCounterpartyIdentifier() {
        return new ArrayOfCounterpartyIdentifier();
    }

    /**
     * Create an instance of {@link EstimateTimePeriodConstraintRelative }
     * 
     */
    public EstimateTimePeriodConstraintRelative createEstimateTimePeriodConstraintRelative() {
        return new EstimateTimePeriodConstraintRelative();
    }

    /**
     * Create an instance of {@link ArrayOfExtractionColumn }
     * 
     */
    public ArrayOfExtractionColumn createArrayOfExtractionColumn() {
        return new ArrayOfExtractionColumn();
    }

    /**
     * Create an instance of {@link RentalUsageLegalEntityAsOfDateSummaryRequest }
     * 
     */
    public RentalUsageLegalEntityAsOfDateSummaryRequest createRentalUsageLegalEntityAsOfDateSummaryRequest() {
        return new RentalUsageLegalEntityAsOfDateSummaryRequest();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateSummary }
     * 
     */
    public InstrumentExtractionRequestEstimateSummary createInstrumentExtractionRequestEstimateSummary() {
        return new InstrumentExtractionRequestEstimateSummary();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestMortPassThru }
     * 
     */
    public InstrumentSearchRequestMortPassThru createInstrumentSearchRequestMortPassThru() {
        return new InstrumentSearchRequestMortPassThru();
    }

    /**
     * Create an instance of {@link LegalEntityDetailConstraintDaysAgoDelta }
     * 
     */
    public LegalEntityDetailConstraintDaysAgoDelta createLegalEntityDetailConstraintDaysAgoDelta() {
        return new LegalEntityDetailConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link NewsAnalyticsQueryConstraintDaysAgoDelta }
     * 
     */
    public NewsAnalyticsQueryConstraintDaysAgoDelta createNewsAnalyticsQueryConstraintDaysAgoDelta() {
        return new NewsAnalyticsQueryConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricing }
     * 
     */
    public InstrumentExtractionRequestPremiumPricing createInstrumentExtractionRequestPremiumPricing() {
        return new InstrumentExtractionRequestPremiumPricing();
    }

    /**
     * Create an instance of {@link CoraxDateConstraintDaysDelta }
     * 
     */
    public CoraxDateConstraintDaysDelta createCoraxDateConstraintDaysDelta() {
        return new CoraxDateConstraintDaysDelta();
    }

    /**
     * Create an instance of {@link RentalUsageCounterpartyAsOfDateSummaryRequest }
     * 
     */
    public RentalUsageCounterpartyAsOfDateSummaryRequest createRentalUsageCounterpartyAsOfDateSummaryRequest() {
        return new RentalUsageCounterpartyAsOfDateSummaryRequest();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingUS3PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingUS3PM createInstrumentExtractionRequestPremiumPricingUS3PM() {
        return new InstrumentExtractionRequestPremiumPricingUS3PM();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestFixedIncomeAnalytics }
     * 
     */
    public InstrumentExtractionRequestFixedIncomeAnalytics createInstrumentExtractionRequestFixedIncomeAnalytics() {
        return new InstrumentExtractionRequestFixedIncomeAnalytics();
    }

    /**
     * Create an instance of {@link ArrayOfValidatedInstrument }
     * 
     */
    public ArrayOfValidatedInstrument createArrayOfValidatedInstrument() {
        return new ArrayOfValidatedInstrument();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingASIA6PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingASIA6PM createInstrumentExtractionRequestPremiumPricingASIA6PM() {
        return new InstrumentExtractionRequestPremiumPricingASIA6PM();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestFundAllocation }
     * 
     */
    public InstrumentExtractionRequestFundAllocation createInstrumentExtractionRequestFundAllocation() {
        return new InstrumentExtractionRequestFundAllocation();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestTermsAndConditions }
     * 
     */
    public InstrumentExtractionRequestTermsAndConditions createInstrumentExtractionRequestTermsAndConditions() {
        return new InstrumentExtractionRequestTermsAndConditions();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestFuturesAndOptions }
     * 
     */
    public InstrumentSearchRequestFuturesAndOptions createInstrumentSearchRequestFuturesAndOptions() {
        return new InstrumentSearchRequestFuturesAndOptions();
    }

    /**
     * Create an instance of {@link CounterpartySearchRequestAll }
     * 
     */
    public CounterpartySearchRequestAll createCounterpartySearchRequestAll() {
        return new CounterpartySearchRequestAll();
    }

    /**
     * Create an instance of {@link LegalEntityIdentifier }
     * 
     */
    public LegalEntityIdentifier createLegalEntityIdentifier() {
        return new LegalEntityIdentifier();
    }

    /**
     * Create an instance of {@link ValidatedSearchInstrument }
     * 
     */
    public ValidatedSearchInstrument createValidatedSearchInstrument() {
        return new ValidatedSearchInstrument();
    }

    /**
     * Create an instance of {@link SymbolCrossReferenceQueryConstraintDaysAgoDelta }
     * 
     */
    public SymbolCrossReferenceQueryConstraintDaysAgoDelta createSymbolCrossReferenceQueryConstraintDaysAgoDelta() {
        return new SymbolCrossReferenceQueryConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link RatingsQueryConstraintRange }
     * 
     */
    public RatingsQueryConstraintRange createRatingsQueryConstraintRange() {
        return new RatingsQueryConstraintRange();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateFootnoteDetail }
     * 
     */
    public InstrumentExtractionRequestEstimateFootnoteDetail createInstrumentExtractionRequestEstimateFootnoteDetail() {
        return new InstrumentExtractionRequestEstimateFootnoteDetail();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingEMEA6PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingEMEA6PM createInstrumentExtractionRequestPremiumPricingEMEA6PM() {
        return new InstrumentExtractionRequestPremiumPricingEMEA6PM();
    }

    /**
     * Create an instance of {@link CounterpartyIdentifier }
     * 
     */
    public CounterpartyIdentifier createCounterpartyIdentifier() {
        return new CounterpartyIdentifier();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateADC }
     * 
     */
    public InstrumentExtractionRequestEstimateADC createInstrumentExtractionRequestEstimateADC() {
        return new InstrumentExtractionRequestEstimateADC();
    }

    /**
     * Create an instance of {@link NewsItemsFieldConstraint }
     * 
     */
    public NewsItemsFieldConstraint createNewsItemsFieldConstraint() {
        return new NewsItemsFieldConstraint();
    }

    /**
     * Create an instance of {@link CounterpartyExtractionRequestDetail }
     * 
     */
    public CounterpartyExtractionRequestDetail createCounterpartyExtractionRequestDetail() {
        return new CounterpartyExtractionRequestDetail();
    }

    /**
     * Create an instance of {@link FundAllocationFieldConstraint }
     * 
     */
    public FundAllocationFieldConstraint createFundAllocationFieldConstraint() {
        return new FundAllocationFieldConstraint();
    }

    /**
     * Create an instance of {@link CoraxDateConstraintRange }
     * 
     */
    public CoraxDateConstraintRange createCoraxDateConstraintRange() {
        return new CoraxDateConstraintRange();
    }

    /**
     * Create an instance of {@link EstimateTypeInfo }
     * 
     */
    public EstimateTypeInfo createEstimateTypeInfo() {
        return new EstimateTypeInfo();
    }

    /**
     * Create an instance of {@link DataDictionaryField }
     * 
     */
    public DataDictionaryField createDataDictionaryField() {
        return new DataDictionaryField();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestCmoAbs }
     * 
     */
    public InstrumentSearchRequestCmoAbs createInstrumentSearchRequestCmoAbs() {
        return new InstrumentSearchRequestCmoAbs();
    }

    /**
     * Create an instance of {@link ArrayOfDataDictionaryField }
     * 
     */
    public ArrayOfDataDictionaryField createArrayOfDataDictionaryField() {
        return new ArrayOfDataDictionaryField();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestMbsFactor }
     * 
     */
    public InstrumentExtractionRequestMbsFactor createInstrumentExtractionRequestMbsFactor() {
        return new InstrumentExtractionRequestMbsFactor();
    }

    /**
     * Create an instance of {@link NewsItemsQueryConstraintRange }
     * 
     */
    public NewsItemsQueryConstraintRange createNewsItemsQueryConstraintRange() {
        return new NewsItemsQueryConstraintRange();
    }

    /**
     * Create an instance of {@link ArrayOfInstrumentDetail }
     * 
     */
    public ArrayOfInstrumentDetail createArrayOfInstrumentDetail() {
        return new ArrayOfInstrumentDetail();
    }

    /**
     * Create an instance of {@link NewsAnalyticsFieldConstraint }
     * 
     */
    public NewsAnalyticsFieldConstraint createNewsAnalyticsFieldConstraint() {
        return new NewsAnalyticsFieldConstraint();
    }

    /**
     * Create an instance of {@link NewsItemsQueryConstraintDaysAgoDelta }
     * 
     */
    public NewsItemsQueryConstraintDaysAgoDelta createNewsItemsQueryConstraintDaysAgoDelta() {
        return new NewsItemsQueryConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link CoraxEventConstraint }
     * 
     */
    public CoraxEventConstraint createCoraxEventConstraint() {
        return new CoraxEventConstraint();
    }

    /**
     * Create an instance of {@link LegalEntitySearchRequestAll }
     * 
     */
    public LegalEntitySearchRequestAll createLegalEntitySearchRequestAll() {
        return new LegalEntitySearchRequestAll();
    }

    /**
     * Create an instance of {@link ValueInfo }
     * 
     */
    public ValueInfo createValueInfo() {
        return new ValueInfo();
    }

    /**
     * Create an instance of {@link CoraxStartDateConstraintStartDate }
     * 
     */
    public CoraxStartDateConstraintStartDate createCoraxStartDateConstraintStartDate() {
        return new CoraxStartDateConstraintStartDate();
    }

    /**
     * Create an instance of {@link NewsItemsQueryConstraintHoursMinutesAgoDelta }
     * 
     */
    public NewsItemsQueryConstraintHoursMinutesAgoDelta createNewsItemsQueryConstraintHoursMinutesAgoDelta() {
        return new NewsItemsQueryConstraintHoursMinutesAgoDelta();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingUS4PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingUS4PM createInstrumentExtractionRequestPremiumPricingUS4PM() {
        return new InstrumentExtractionRequestPremiumPricingUS4PM();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestNewsAnalytics }
     * 
     */
    public InstrumentExtractionRequestNewsAnalytics createInstrumentExtractionRequestNewsAnalytics() {
        return new InstrumentExtractionRequestNewsAnalytics();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestIntradayPricing }
     * 
     */
    public InstrumentExtractionRequestIntradayPricing createInstrumentExtractionRequestIntradayPricing() {
        return new InstrumentExtractionRequestIntradayPricing();
    }

    /**
     * Create an instance of {@link ApplyFixedIncomeGlobalSnapshotQueryConstraint }
     * 
     */
    public ApplyFixedIncomeGlobalSnapshotQueryConstraint createApplyFixedIncomeGlobalSnapshotQueryConstraint() {
        return new ApplyFixedIncomeGlobalSnapshotQueryConstraint();
    }

    /**
     * Create an instance of {@link ArrayOfChoice1 }
     * 
     */
    public ArrayOfChoice1 createArrayOfChoice1() {
        return new ArrayOfChoice1();
    }

    /**
     * Create an instance of {@link LegalEntityHierarchyConstraintDaysAgoDelta }
     * 
     */
    public LegalEntityHierarchyConstraintDaysAgoDelta createLegalEntityHierarchyConstraintDaysAgoDelta() {
        return new LegalEntityHierarchyConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestTechnicalIndicators }
     * 
     */
    public InstrumentExtractionRequestTechnicalIndicators createInstrumentExtractionRequestTechnicalIndicators() {
        return new InstrumentExtractionRequestTechnicalIndicators();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestCounterparty }
     * 
     */
    public DataDictionaryRequestCounterparty createDataDictionaryRequestCounterparty() {
        return new DataDictionaryRequestCounterparty();
    }

    /**
     * Create an instance of {@link EstimateQueryConstraintRange }
     * 
     */
    public EstimateQueryConstraintRange createEstimateQueryConstraintRange() {
        return new EstimateQueryConstraintRange();
    }

    /**
     * Create an instance of {@link EmptyValue }
     * 
     */
    public EmptyValue createEmptyValue() {
        return new EmptyValue();
    }

    /**
     * Create an instance of {@link ExtractionColumn }
     * 
     */
    public ExtractionColumn createExtractionColumn() {
        return new ExtractionColumn();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateFootnoteCompany }
     * 
     */
    public InstrumentExtractionRequestEstimateFootnoteCompany createInstrumentExtractionRequestEstimateFootnoteCompany() {
        return new InstrumentExtractionRequestEstimateFootnoteCompany();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestRatings }
     * 
     */
    public InstrumentExtractionRequestRatings createInstrumentExtractionRequestRatings() {
        return new InstrumentExtractionRequestRatings();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestCorax }
     * 
     */
    public DataDictionaryRequestCorax createDataDictionaryRequestCorax() {
        return new DataDictionaryRequestCorax();
    }

    /**
     * Create an instance of {@link CounterpartyExtractionTypeInfo }
     * 
     */
    public CounterpartyExtractionTypeInfo createCounterpartyExtractionTypeInfo() {
        return new CounterpartyExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestEstimate }
     * 
     */
    public DataDictionaryRequestEstimate createDataDictionaryRequestEstimate() {
        return new DataDictionaryRequestEstimate();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateDetail }
     * 
     */
    public InstrumentExtractionRequestEstimateDetail createInstrumentExtractionRequestEstimateDetail() {
        return new InstrumentExtractionRequestEstimateDetail();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionRequestHierarchy }
     * 
     */
    public LegalEntityExtractionRequestHierarchy createLegalEntityExtractionRequestHierarchy() {
        return new LegalEntityExtractionRequestHierarchy();
    }

    /**
     * Create an instance of {@link ClientError }
     * 
     */
    public ClientError createClientError() {
        return new ClientError();
    }

    /**
     * Create an instance of {@link InstrumentSearchTypeInfo }
     * 
     */
    public InstrumentSearchTypeInfo createInstrumentSearchTypeInfo() {
        return new InstrumentSearchTypeInfo();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEstimateActual }
     * 
     */
    public InstrumentExtractionRequestEstimateActual createInstrumentExtractionRequestEstimateActual() {
        return new InstrumentExtractionRequestEstimateActual();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestInstrument }
     * 
     */
    public DataDictionaryRequestInstrument createDataDictionaryRequestInstrument() {
        return new DataDictionaryRequestInstrument();
    }

    /**
     * Create an instance of {@link EstimateQueryConstraintDaysAgoDelta }
     * 
     */
    public EstimateQueryConstraintDaysAgoDelta createEstimateQueryConstraintDaysAgoDelta() {
        return new EstimateQueryConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestBondSchedule }
     * 
     */
    public InstrumentExtractionRequestBondSchedule createInstrumentExtractionRequestBondSchedule() {
        return new InstrumentExtractionRequestBondSchedule();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestAll }
     * 
     */
    public InstrumentSearchRequestAll createInstrumentSearchRequestAll() {
        return new InstrumentSearchRequestAll();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestLegalEntity }
     * 
     */
    public DataDictionaryRequestLegalEntity createDataDictionaryRequestLegalEntity() {
        return new DataDictionaryRequestLegalEntity();
    }

    /**
     * Create an instance of {@link NewsAnalyticsQueryConstraintHoursMinutesAgoDelta }
     * 
     */
    public NewsAnalyticsQueryConstraintHoursMinutesAgoDelta createNewsAnalyticsQueryConstraintHoursMinutesAgoDelta() {
        return new NewsAnalyticsQueryConstraintHoursMinutesAgoDelta();
    }

    /**
     * Create an instance of {@link ExtractionUsageInstrumentSummaryRequest }
     * 
     */
    public ExtractionUsageInstrumentSummaryRequest createExtractionUsageInstrumentSummaryRequest() {
        return new ExtractionUsageInstrumentSummaryRequest();
    }

    /**
     * Create an instance of {@link ArrayOfValidatedCounterparty }
     * 
     */
    public ArrayOfValidatedCounterparty createArrayOfValidatedCounterparty() {
        return new ArrayOfValidatedCounterparty();
    }

    /**
     * Create an instance of {@link InstrumentDetail }
     * 
     */
    public InstrumentDetail createInstrumentDetail() {
        return new InstrumentDetail();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingASIA4PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingASIA4PM createInstrumentExtractionRequestPremiumPricingASIA4PM() {
        return new InstrumentExtractionRequestPremiumPricingASIA4PM();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestFunds }
     * 
     */
    public InstrumentSearchRequestFunds createInstrumentSearchRequestFunds() {
        return new InstrumentSearchRequestFunds();
    }

    /**
     * Create an instance of {@link CoraxEventInfo }
     * 
     */
    public CoraxEventInfo createCoraxEventInfo() {
        return new CoraxEventInfo();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestTimeSeriesPricing }
     * 
     */
    public InstrumentExtractionRequestTimeSeriesPricing createInstrumentExtractionRequestTimeSeriesPricing() {
        return new InstrumentExtractionRequestTimeSeriesPricing();
    }

    /**
     * Create an instance of {@link NewsAnalyticsQueryConstraintRange }
     * 
     */
    public NewsAnalyticsQueryConstraintRange createNewsAnalyticsQueryConstraintRange() {
        return new NewsAnalyticsQueryConstraintRange();
    }

    /**
     * Create an instance of {@link InstrumentIdentifier }
     * 
     */
    public InstrumentIdentifier createInstrumentIdentifier() {
        return new InstrumentIdentifier();
    }

    /**
     * Create an instance of {@link ValidatedLegalEntity }
     * 
     */
    public ValidatedLegalEntity createValidatedLegalEntity() {
        return new ValidatedLegalEntity();
    }

    /**
     * Create an instance of {@link ArrayOfCoraxEventConstraint }
     * 
     */
    public ArrayOfCoraxEventConstraint createArrayOfCoraxEventConstraint() {
        return new ArrayOfCoraxEventConstraint();
    }

    /**
     * Create an instance of {@link CoraxEndDateConstraintEndDate }
     * 
     */
    public CoraxEndDateConstraintEndDate createCoraxEndDateConstraintEndDate() {
        return new CoraxEndDateConstraintEndDate();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestOwnership }
     * 
     */
    public InstrumentExtractionRequestOwnership createInstrumentExtractionRequestOwnership() {
        return new InstrumentExtractionRequestOwnership();
    }

    /**
     * Create an instance of {@link ServerError }
     * 
     */
    public ServerError createServerError() {
        return new ServerError();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionRequestTermsAndConditions }
     * 
     */
    public LegalEntityExtractionRequestTermsAndConditions createLegalEntityExtractionRequestTermsAndConditions() {
        return new LegalEntityExtractionRequestTermsAndConditions();
    }

    /**
     * Create an instance of {@link InstrumentExtractionTypeInfo }
     * 
     */
    public InstrumentExtractionTypeInfo createInstrumentExtractionTypeInfo() {
        return new InstrumentExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link ArrayOfInstrumentIdentifier }
     * 
     */
    public ArrayOfInstrumentIdentifier createArrayOfInstrumentIdentifier() {
        return new ArrayOfInstrumentIdentifier();
    }

    /**
     * Create an instance of {@link CounterpartyExtractionRequestHolders }
     * 
     */
    public CounterpartyExtractionRequestHolders createCounterpartyExtractionRequestHolders() {
        return new CounterpartyExtractionRequestHolders();
    }

    /**
     * Create an instance of {@link RentalUsageCounterpartyNewDuringPeriodSummaryRequest }
     * 
     */
    public RentalUsageCounterpartyNewDuringPeriodSummaryRequest createRentalUsageCounterpartyNewDuringPeriodSummaryRequest() {
        return new RentalUsageCounterpartyNewDuringPeriodSummaryRequest();
    }

    /**
     * Create an instance of {@link SymbolCrossReferenceQueryConstraintSpecificDateDelta }
     * 
     */
    public SymbolCrossReferenceQueryConstraintSpecificDateDelta createSymbolCrossReferenceQueryConstraintSpecificDateDelta() {
        return new SymbolCrossReferenceQueryConstraintSpecificDateDelta();
    }

    /**
     * Create an instance of {@link TypeInfo }
     * 
     */
    public TypeInfo createTypeInfo() {
        return new TypeInfo();
    }

    /**
     * Create an instance of {@link ArrayOfLegalEntityIdentifier }
     * 
     */
    public ArrayOfLegalEntityIdentifier createArrayOfLegalEntityIdentifier() {
        return new ArrayOfLegalEntityIdentifier();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPrepayment }
     * 
     */
    public InstrumentExtractionRequestPrepayment createInstrumentExtractionRequestPrepayment() {
        return new InstrumentExtractionRequestPrepayment();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestEndOfDay }
     * 
     */
    public InstrumentExtractionRequestEndOfDay createInstrumentExtractionRequestEndOfDay() {
        return new InstrumentExtractionRequestEndOfDay();
    }

    /**
     * Create an instance of {@link CounterpartyExtractionRequestAudit }
     * 
     */
    public CounterpartyExtractionRequestAudit createCounterpartyExtractionRequestAudit() {
        return new CounterpartyExtractionRequestAudit();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestPremiumPricingEMEA4PM }
     * 
     */
    public InstrumentExtractionRequestPremiumPricingEMEA4PM createInstrumentExtractionRequestPremiumPricingEMEA4PM() {
        return new InstrumentExtractionRequestPremiumPricingEMEA4PM();
    }

    /**
     * Create an instance of {@link RatingsFieldConstraint }
     * 
     */
    public RatingsFieldConstraint createRatingsFieldConstraint() {
        return new RatingsFieldConstraint();
    }

    /**
     * Create an instance of {@link RentalUsageLegalEntityNewDuringPeriodSummaryRequest }
     * 
     */
    public RentalUsageLegalEntityNewDuringPeriodSummaryRequest createRentalUsageLegalEntityNewDuringPeriodSummaryRequest() {
        return new RentalUsageLegalEntityNewDuringPeriodSummaryRequest();
    }

    /**
     * Create an instance of {@link DataDictionaryRequestBondSchedule }
     * 
     */
    public DataDictionaryRequestBondSchedule createDataDictionaryRequestBondSchedule() {
        return new DataDictionaryRequestBondSchedule();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestGovCorp }
     * 
     */
    public InstrumentSearchRequestGovCorp createInstrumentSearchRequestGovCorp() {
        return new InstrumentSearchRequestGovCorp();
    }

    /**
     * Create an instance of {@link CoraxStartDateConstraintPreviousDays }
     * 
     */
    public CoraxStartDateConstraintPreviousDays createCoraxStartDateConstraintPreviousDays() {
        return new CoraxStartDateConstraintPreviousDays();
    }

    /**
     * Create an instance of {@link CoraxEndDateConstraintNextDays }
     * 
     */
    public CoraxEndDateConstraintNextDays createCoraxEndDateConstraintNextDays() {
        return new CoraxEndDateConstraintNextDays();
    }

    /**
     * Create an instance of {@link CoraxStartDateConstraintAllHistory }
     * 
     */
    public CoraxStartDateConstraintAllHistory createCoraxStartDateConstraintAllHistory() {
        return new CoraxStartDateConstraintAllHistory();
    }

    /**
     * Create an instance of {@link ArrayOfAnyType }
     * 
     */
    public ArrayOfAnyType createArrayOfAnyType() {
        return new ArrayOfAnyType();
    }

    /**
     * Create an instance of {@link CoraxEndDateConstraintAllFuture }
     * 
     */
    public CoraxEndDateConstraintAllFuture createCoraxEndDateConstraintAllFuture() {
        return new CoraxEndDateConstraintAllFuture();
    }

    /**
     * Create an instance of {@link ExtractionUsageLegalEntitySummaryRequest }
     * 
     */
    public ExtractionUsageLegalEntitySummaryRequest createExtractionUsageLegalEntitySummaryRequest() {
        return new ExtractionUsageLegalEntitySummaryRequest();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionRequestDetail }
     * 
     */
    public LegalEntityExtractionRequestDetail createLegalEntityExtractionRequestDetail() {
        return new LegalEntityExtractionRequestDetail();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionRequestAudit }
     * 
     */
    public LegalEntityExtractionRequestAudit createLegalEntityExtractionRequestAudit() {
        return new LegalEntityExtractionRequestAudit();
    }

    /**
     * Create an instance of {@link CoraxDateConstraintHoursDelta }
     * 
     */
    public CoraxDateConstraintHoursDelta createCoraxDateConstraintHoursDelta() {
        return new CoraxDateConstraintHoursDelta();
    }

    /**
     * Create an instance of {@link ArrayOfValidatedLegalEntity }
     * 
     */
    public ArrayOfValidatedLegalEntity createArrayOfValidatedLegalEntity() {
        return new ArrayOfValidatedLegalEntity();
    }

    /**
     * Create an instance of {@link CounterpartyHierarchyConstraintDaysAgoDelta }
     * 
     */
    public CounterpartyHierarchyConstraintDaysAgoDelta createCounterpartyHierarchyConstraintDaysAgoDelta() {
        return new CounterpartyHierarchyConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link CoraxDateConstraintLastUpdated }
     * 
     */
    public CoraxDateConstraintLastUpdated createCoraxDateConstraintLastUpdated() {
        return new CoraxDateConstraintLastUpdated();
    }

    /**
     * Create an instance of {@link CounterpartyExtractionRequestHierarchy }
     * 
     */
    public CounterpartyExtractionRequestHierarchy createCounterpartyExtractionRequestHierarchy() {
        return new CounterpartyExtractionRequestHierarchy();
    }

    /**
     * Create an instance of {@link RentalUsageInstrumentNewDuringPeriodSummaryRequest }
     * 
     */
    public RentalUsageInstrumentNewDuringPeriodSummaryRequest createRentalUsageInstrumentNewDuringPeriodSummaryRequest() {
        return new RentalUsageInstrumentNewDuringPeriodSummaryRequest();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestCoraxStandardEvents }
     * 
     */
    public InstrumentExtractionRequestCoraxStandardEvents createInstrumentExtractionRequestCoraxStandardEvents() {
        return new InstrumentExtractionRequestCoraxStandardEvents();
    }

    /**
     * Create an instance of {@link ArrayOfValidatedSearchInstrument }
     * 
     */
    public ArrayOfValidatedSearchInstrument createArrayOfValidatedSearchInstrument() {
        return new ArrayOfValidatedSearchInstrument();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestEquities }
     * 
     */
    public InstrumentSearchRequestEquities createInstrumentSearchRequestEquities() {
        return new InstrumentSearchRequestEquities();
    }

    /**
     * Create an instance of {@link UsageColumn }
     * 
     */
    public UsageColumn createUsageColumn() {
        return new UsageColumn();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionRequestRatings }
     * 
     */
    public LegalEntityExtractionRequestRatings createLegalEntityExtractionRequestRatings() {
        return new LegalEntityExtractionRequestRatings();
    }

    /**
     * Create an instance of {@link RentalUsageInstrumentAsOfDateSummaryRequest }
     * 
     */
    public RentalUsageInstrumentAsOfDateSummaryRequest createRentalUsageInstrumentAsOfDateSummaryRequest() {
        return new RentalUsageInstrumentAsOfDateSummaryRequest();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestSymbolCrossReference }
     * 
     */
    public InstrumentExtractionRequestSymbolCrossReference createInstrumentExtractionRequestSymbolCrossReference() {
        return new InstrumentExtractionRequestSymbolCrossReference();
    }

    /**
     * Create an instance of {@link RatingsQueryConstraintDaysAgoDelta }
     * 
     */
    public RatingsQueryConstraintDaysAgoDelta createRatingsQueryConstraintDaysAgoDelta() {
        return new RatingsQueryConstraintDaysAgoDelta();
    }

    /**
     * Create an instance of {@link InstrumentExtractionRequestTrancheFactor }
     * 
     */
    public InstrumentExtractionRequestTrancheFactor createInstrumentExtractionRequestTrancheFactor() {
        return new InstrumentExtractionRequestTrancheFactor();
    }

    /**
     * Create an instance of {@link InstrumentSearchRequestUSMunicipals }
     * 
     */
    public InstrumentSearchRequestUSMunicipals createInstrumentSearchRequestUSMunicipals() {
        return new InstrumentSearchRequestUSMunicipals();
    }

    /**
     * Create an instance of {@link ExtractionUsageCounterpartySummaryRequest }
     * 
     */
    public ExtractionUsageCounterpartySummaryRequest createExtractionUsageCounterpartySummaryRequest() {
        return new ExtractionUsageCounterpartySummaryRequest();
    }

    /**
     * Create an instance of {@link LegalEntityExtractionTypeInfo }
     * 
     */
    public LegalEntityExtractionTypeInfo createLegalEntityExtractionTypeInfo() {
        return new LegalEntityExtractionTypeInfo();
    }

    /**
     * Create an instance of {@link ArrayOfString }
     * 
     */
    public ArrayOfString createArrayOfString() {
        return new ArrayOfString();
    }

    /**
     * Create an instance of {@link ArrayOfUsageColumn }
     * 
     */
    public ArrayOfUsageColumn createArrayOfUsageColumn() {
        return new ArrayOfUsageColumn();
    }

    /**
     * Create an instance of {@link RatingsQueryConstraintLastUpdated }
     * 
     */
    public RatingsQueryConstraintLastUpdated createRatingsQueryConstraintLastUpdated() {
        return new RatingsQueryConstraintLastUpdated();
    }

    /**
     * Create an instance of {@link ValidatedCounterparty }
     * 
     */
    public ValidatedCounterparty createValidatedCounterparty() {
        return new ValidatedCounterparty();
    }

    /**
     * Create an instance of {@link ValidatedInstrument }
     * 
     */
    public ValidatedInstrument createValidatedInstrument() {
        return new ValidatedInstrument();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OperationInfoHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reuters.com/datascopeselect/ExtractionService/v1/", name = "OperationInfoHeader")
    public JAXBElement<OperationInfoHeader> createOperationInfoHeader(OperationInfoHeader value) {
        return new JAXBElement<OperationInfoHeader>(_OperationInfoHeader_QNAME, OperationInfoHeader.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CredentialsHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reuters.com/datascopeselect/ExtractionService/v1/", name = "CredentialsHeader")
    public JAXBElement<CredentialsHeader> createCredentialsHeader(CredentialsHeader value) {
        return new JAXBElement<CredentialsHeader>(_CredentialsHeader_QNAME, CredentialsHeader.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EjvServerHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://reuters.com/datascopeselect/ExtractionService/v1/", name = "EjvServerHeader")
    public JAXBElement<EjvServerHeader> createEjvServerHeader(EjvServerHeader value) {
        return new JAXBElement<EjvServerHeader>(_EjvServerHeader_QNAME, EjvServerHeader.class, null, value);
    }

}
