package samples.advanced;

import com.reuters.datascopeselect.extractionservice.v1.*;
import samples.*;
import core.ISample;

public class ExecuteSample implements ISample {

	public void Execute() throws ClientErrorException, ServerErrorException,
			MaxRetriesException, Exception {
		System.out
				.println("Performing a call to the API using the ApiUtility.Execute method");

		ArrayOfValueInfo avinfo = ApiUtility
				.Execute("getInstrumentIdentifierTypes");

		for (int i = 0; i < avinfo.getValueInfo().size(); i++) {
			System.out.println(avinfo.getValueInfo().get(i).getValue() + ":"
					+ avinfo.getValueInfo().get(i).getDescription());
		}
	}
}
